<?php
/*
+--------------------------------------------------------------------------
|   xMKP Gallery 2.5
|   http://www.mokro.us
+--------------------------------------------------------------------------
*/
if (!defined("IN_MKP")) {
    die ("Sorry !! You cannot access this file directly.");
}

$idx = new mk_gallery;
class mk_gallery {

	var $tpl    = "";
	var $cache_sections = array();
	var $cache_files = array();
	
	function mk_gallery() {

		global $mkportals, $mklib, $Skin, $DB, $mklib_board;		
		$mklib->load_lang("lang_gallery.php");

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_access_gallery'] && $mkportals->input['op'] != "postcard_view") {
			$message = "{$mklib->lang['ga_noenterg']}.";
			$mklib->error_page($message);
			exit;
		}
		if ($mklib->config['mod_gallery']) {
		$message = "{$mklib->lang['ga_mnoactive']}";
			$mklib->error_page($message);
			exit;
		}
		if ($mklib->config['hidedenied']) {
			$wherehd = "where access_group in(-10,".implode(",",$mkportals->member['mgroup']).")";
		}
		
		//load cache
		$DB->query( "SELECT * FROM mkp_gallery_events $wherehd ORDER BY `id`");
		while( $row = $DB->fetch_row() ) {
            		$this->cache_sections[] = $row;
       	 	}
		$DB->query( "SELECT * FROM mkp_gallery WHERE validate = '1' ORDER BY `id`");
		while( $row = $DB->fetch_row() ) {
            		$this->cache_files[] = $row;
       	 	}
		
		//location
		$mklib_board->store_location("gallery");
		require "mkportal/modules/gallery/tpl_gallery.php";
		$this->tpl = new tpl_gallery();

    		switch($mkportals->input['op']) {
    			case 'section_view':
    				$this->section_view();
    			break;
			case 'foto_show':
    				$this->foto_show();
    			break;
			case 'add_comment':
    				$this->add_comment();
    			break;
			case 'del_comment':
    				$this->del_comment();
    			break;
			case 'add_rate':
    				$this->add_rate();
    			break;
			case 'submit_file':
    				$this->submit_file();
    			break;
			case 'add_file':
    				$this->add_file();
    			break;
			case 'edit_file':
    				$this->edit_file();
    			break;
			case 'update_file':
    				$this->update_file();
    			break;
			case 'del_file':
    				$this->del_file();
    			break;
			case 'show_emoticons':
    				$this->show_emoticons();
    			break;
			case 'submit_postcard':
    				$this->submit_postcard();
    			break;
			case 'preview_postcard':
    				$this->preview_postcard();
    			break;
			case 'send_postcard':
    				$this->send_postcard();
    			break;
			case 'postcard_view':
    				$this->postcard_view();
    			break;
			case 'slide_start':
    				$this->slide_start();
    			break;
			case 'slide_update':
    				$this->slide_update();
    			break;
			case 'search':
    				$this->search();
    			break;
			case 'result_search':
    				$this->result_search();
    			break;
    			case 'mass':
    				$this->page_mass();
 			break;
    			case 'msave':
    				$this->page_msave();
    			break;
    			case 'medit':
    				$this->page_medit();
    			break;
    			case 'code':
    				$this->getcode();
			break;
                	default:
    				$this->album_show();
    			break;

    		}
	}

function getcode() {
global $mkportals, $DB, $Skin, $print, $mklib, $mklib_board; 

	$id = intval($mkportals->input['idp']);
	$query = $DB->query("SELECT file, evento, titolo FROM mkp_gallery WHERE id = '$id'");
	$row = $DB->fetch_row($query);

	$content = "
		<div align=\"center\" style=\"width:680px; border: 1px solid #999999;\">
<table width=100% height=100% cellspacing=0 cellpadding=5 border=\"0\"><tr><td align=center valign=middle>
<img src=\"{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/t_{$row['file']}\">
</td><td align=\"left\">
<br>
<p style=\"color:#000000\">{$mklib->lang['album_codelink']}
<textarea style=\"color:#000000\" rows=1 cols=95 readonly>
{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/{$row['file']}</textarea></p>

<p style=\"color:#000000\">{$mklib->lang['album_bbcodepre']}
<textarea style=\"color:#000000\" rows=3 cols=95 readonly>
[URL={$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id][IMG]{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/t_{$row['file']}[/IMG][/URL]</textarea></p>

<p style=\"color:#000000\">{$mklib->lang['album_bbcodefull']}
<textarea style=\"color:#000000\" rows=3 cols=95 readonly>
[URL={$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id][IMG]{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/{$row['file']}[/IMG][/URL]</textarea></p>

<p style=\"color:#000000\">{$mklib->lang['album_htmlpre']}
<textarea style=\"color:#000000\" rows=4 cols=95 readonly>
<a href=\"{$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id\"><img src=\"{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/t_{$row['file']}\" alt=\"{$row['titolo']}\"></a></textarea></p>

<p style=\"color:#000000\">{$mklib->lang['album_htmlfull']}
<textarea style=\"color:#000000\" rows=4 cols=95 readonly>
<a href=\"{$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id\"><img src=\"{$mklib->siteurl}/mkportal/modules/gallery/album/{$row['evento']}/{$row['file']}\" alt=\"{$row['titolo']}\"></a></textarea></p>
<br>
</td></tr></table>
</div>";
	echo $content;
	exit;
}



function page_msave() {
global $mkportals, $DB, $Skin, $print, $mklib, $mklib_board; 
 session_id($mkportals->member['session_id']);
 session_start();
 $evento = $_SESSION['gid'];
 foreach ($mkportals->input['fid'] as $key => $fid) {
	$DB->query("SELECT idauth FROM mkp_gallery WHERE id=\"".$fid."\"");
	$row = $DB->fetch_row();
	if ($row['idauth'] == $mkportals->member['id']) {
                $DB->query("UPDATE mkp_gallery SET titolo='{$mkportals->input['ftitle'][$key]}', descrizione='{$mkportals->input['fdesc'][$key]}' WHERE id='$fid'");
	}
 }

session_unset();	

	 	Header("Location: index.php?ind=gallery&op=section_view&idev=$evento");
}

function page_medit() {
global $mkportals, $DB, $Skin, $print, $mklib, $mklib_board; 

 session_id($mkportals->member['session_id']);
 session_start();
$evento = $_SESSION['gid'];

// Link Navigation bar
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_insertimg']}</a>";
// Link Navigation bar		
		$maintit = "{$mklib->lang['ga_mkpgal']}";
// Option evento		

		$content .= "<tr><td align=center>
<script type=\"text/javascript\" src=\"/jquery/jquery.js\"></script>
<script src=\"/jquery/jquery.fancybox-1.3.4.pack.js\" type=\"text/javascript\"></script>
<link type=\"text/css\" href=\"/jquery/jquery.fancybox-1.3.4.css\" rel=\"stylesheet\" />  
<script type=\"text/javascript\">         
	$(document).ready(function() {     
			$(\"a[rel=gal]\").fancybox({
				'transitionIn'		: 'none',
				'transitionOut'		: 'none',
				'titlePosition' 	: 'over',
				'titleFormat'		: function(title, currentArray, currentIndex, currentOpts) {
					return '<span id=\"fancybox-title-over\">Image ' + (currentIndex + 1) + ' / ' + currentArray.length + (title.length ? ' &nbsp; ' + title : '') + '</span>';
				}
			});
	});
</script> 

";

if ($evento && $mkportals->member['id'] && $_SESSION['upcount']){

		$approval = $mklib->config['approval_pa'];
		if ($approval == "1") {
			$mailsubj = $mklib->lang['01mail'].$mklib->lang['gallery'];
			$mailmess = $mklib->lang['02mail'].$mklib->lang['module'].$mklib->lang['gallery']."\n".$mklib->lang['sender'].$autore."\n\n\n".$mklib->lang['from']." ".$mklib->sitename;
			$mklib_board->admin_mail($mailsubj, $mailmess);
		}
		if ($approval == "2" && !$mkportals->member['g_access_cp']) {
			$mailsubj = $mklib->lang['01mail'].$mklib->lang['gallery'];
			$mailmess = $mklib->lang['03mail'].$mklib->lang['module'].$mklib->lang['gallery']."\n".$mklib->lang['sender'].$autore."\n\n\n".$mklib->lang['from']." ".$mklib->sitename;
			$mklib_board->admin_mail($mailsubj, $mailmess);
			$content .= "<p align=center>{$mklib->lang['notify_adv']}</p>";
		}
		if ($approval == "3" && !$mkportals->member['g_access_cp']) {
			$content .= "<p align=center>{$mklib->lang['notify_adv']}</p>";
		}

	$content .= "<form action=\"index.php?ind=gallery&amp;op=msave\" name=\"UPDATE\" method=\"post\">
			<table border=0 cellpadding=1>";

	$res=$DB->query("SELECT id, file, titolo, descrizione FROM mkp_gallery where evento='{$_SESSION['gid']}' and idauth='{$mkportals->member['id']}' order by id desc limit 0,{$_SESSION['upcount']}");
	while( $row = $DB->fetch_row($res) ) {

		$content .= "<tr valign=top>
			<td rowspan=2 width=100 align=center>";
				
		if (!file_exists("mkportal/modules/gallery/album/$evento/t_".$row['file'])) {
				$content .= "<a rel=\"gal\" href=\"/mkportal/modules/gallery/album/$evento/{$row['file']}\" title=\"{$row['titolo']}\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=/mkportal/modules/gallery/album/$evento/".$row['file']." border=\"0\" alt=\"{$mklib->lang['album_zoom']}\" /></a>";
		}else {
				$content .= "<a rel=\"gal\" href=\"/mkportal/modules/gallery/album/$evento/{$row['file']}\" title=\"{$row['titolo']}\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=/mkportal/modules/gallery/album/$evento/t_".$row['file']." border=\"0\" alt=\"{$mklib->lang['album_zoom']}\" /></a>";
		}
		$content .= "</td><td rowspan=2 width=10></td>
			  <td>{$mklib->lang['album_fototitle']}:</td><td rowspan=2 width=10></td>
			  <td>  <input type=\"hidden\" name=\"fid[]\" value=\"{$row['id']}\">
				<input type=\"text\" name=\"ftitle[]\" value=\"".$row['titolo']."\" size=\"50\" class=\"bgselect\" /></td>
			</tr>
			<tr valign=top>
			  <td valign=\"top\">{$mklib->lang['album_desc']}:</td>
			  <td><textarea cols=\"52\" rows=\"5\" name=\"fdesc[]\" class=\"bgselect\">{$row['descrizione']}</textarea></td>
			</tr><tr><td colspan=5><hr></td></tr>";


	}
	$content .= "<tr><td colspan=5 align=center><input type=\"submit\" value=\"{$mklib->lang['album_save']}\" class=\"mkbutton\" /></td></tr></table></form></td></tr>";
}

		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_insertaimg']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_insertimg'], $blocks);

}

function page_mass() {
global $mkportals, $DB, $Skin, $print, $mklib, $mklib_board; 


	if ($mkportals->member['id']) {
			$uname = $mkportals->member['name'];
	}

	if (!$mklib->config['mass_uploader_enable']){
	      $message = "{$mklib->lang['ga_nomass']}";
	      $mklib->error_page($message);
	      exit;
	}

$query = $DB->query( "SELECT count(*) as num FROM mkp_gallery where autore=\"".$uname."\"");
$num = $DB->fetch_row($query);
if ($mklib->config['pa_max_foto']=="0" || $num['num']<$mklib->config['pa_max_foto']) 
{
	$ide = intval($mkportals->input['ide']);

	$query = $DB->query( "SELECT uname, evento, access_group FROM mkp_gallery_events WHERE id = '$ide'");
	$rowcheck = $DB->fetch_row($query);
	if ($rowcheck['uname'] && $rowcheck['uname'] != $mkportals->member['name']){
	      $message = "{$mklib->lang['ga_noupimg']}";
	      $mklib->error_page($message);
	      exit;
	}

	if(!$rowcheck['uname'] && !$mkportals->member['g_access_cp'] && !$mklib->member['g_send_gallery']) {
		$message = "{$mklib->lang['ga_nouplimg']}";
		$mklib->error_page($message);
		exit;
	}

	$content .= "<tr><td align=center>";
	session_id($mkportals->member['session_id']);
	session_start();
	session_unset();

	 $_SESSION['uname'] = $mkportals->member['name'];
	 $_SESSION['uid']   = intval($mkportals->member['id']);
	 $_SESSION['gid']   = $ide;
	 $_SESSION['uip'] = $_SERVER['REMOTE_ADDR'];
	 $_SESSION['upcount'];
	 $_SESSION['isadmin'] = $mkportals->member['g_access_cp'];
	 $_SESSION['maxupmass'] = $mklib->config['max_upload_mass'];
	 $_SESSION['fmaxsize'] = $mklib->config['upload_image_max'];
	 $_SESSION['imaxdim'] = $mklib->config['image_max_dimen'];
	 $_SESSION['resizeto'] = $mklib->config['image_resizeto'];
	 $_SESSION['jpgqual'] = $mklib->config['image_jpg_quality'];
	 $_SESSION['sqthumbs'] = $mklib->config['square_thumbs'];
	 $_SESSION['tjpgqual'] = $mklib->config['thumb_jpg_quality'];
	 $_SESSION['tmaxdim'] = $mklib->config['thumb_max_dimen'];
	 $_SESSION['exif'] = $mklib->config['exif'];
	 $_SESSION['ag'] = $rowcheck['access_group'];
	if ($mklib->config['watermark_enable']) {
		 $_SESSION['wme'] = $mklib->config['watermark_enable'];
		 $_SESSION['wttype'] = $mklib->config['wt_type'];	
		 $_SESSION['watermarkpos'] = $mklib->config['watermark_pos'];
		 $_SESSION['watermarklevel'] = $mklib->config['watermark_level'];
		 $_SESSION['font'] = $mklib->config['wt_font'];
		 $_SESSION['fontsize'] = $mklib->config['wt_fontsize'];
		 $_SESSION['fontcolor'] = $mklib->config['wt_textcolor'];
		 $_SESSION['bgfontcolor'] = $mklib->config['wt_bgtextcolor'];
		 $_SESSION['wttext'] = $mklib->config['wt_text'];
		 $_SESSION['wtoffset'] = $mklib->config['wt_offset'];
	}
// Link Navigation bar
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_insertimg']}</a>";
// Link Navigation bar		
		$maintit = "{$mklib->lang['ga_mkpgal']}";
// Option evento		
	// Option evento
		$switchto = "<p align=center><a href=/index.php?ind=gallery&op=submit_file&ide=$ide>{$mklib->lang['ga_switchtos']}</a></p>";

		$content .= "<p align=center><u><b>{$mklib->lang['album_masswarn']}</b></u></p>";

		$content .= "{$mklib->lang['ga_upto']} <b>{$rowcheck['evento']}</b>";
                    
		$content .= massupload($mkportals->member['session_id'], "/index.php?ind=gallery&op=medit");

		if ($mklib->config['image_max_dimen'] > 0 || $mklib->config['upload_image_max'] > 0 || $mklib->config['max_upload_mass'] > 0)
		{
			$content.="<b>{$mklib->lang['ga_limits']}</b><br>";
		}
		if ($mklib->config['image_max_dimen'] > 0)
		{
			$content.="{$mklib->lang['ga_maxdimension']} <b>{$mklib->config['image_max_dimen']} px.</b><br>";
		}
		if ($mklib->config['upload_image_max'] > 0)
		{
			$content.="{$mklib->lang['ga_maxfilesize']} <b>{$mklib->config['upload_image_max']} kb.</b><br>";
		}
		if ($mklib->config['max_upload_mass'] > 0)
		{
			$content.="{$mklib->lang['ga_maxupmass']} <b>{$mklib->config['max_upload_mass']}</b>";
		}

} else {
	$content .="<div align=center style=color:#880000;><b><font size=\"2\">{$mklib->lang['album_maxfoto']}</font></b></div>";
}

			$content.="		      $switchto
		    </td>
		  </tr>
		";


		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_insertaimg']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_insertimg'], $blocks);

}


	function album_show() {
    global $mkportals, $DB, $mklib, $Skin, $mklib_board;

if (!$mklib->config['compactview']){
	$content = $this->tpl->row_main_category();
}

	switch(intval($mkportals->input['order'])) {
		case '1':
			$order = "ORDER BY `position`";
    	break;
		case '2':
			$order = "ORDER BY `evento`";
    	break;
		case '3':
			$order = "ORDER BY `id` DESC";
    	break;
		case '4':
			$order = "ORDER BY `uname`";
    	break;
		default:
    		$order = "ORDER BY `{$mklib->config['gal_sorttype']}` {$mklib->config['gal_sortdir']}";
    	break;
	}
if ($mklib->config['hidedenied']) {
	$wherehd = "and access_group in(-10,".implode(",",$mkportals->member['mgroup']).")";
}

	if ($mkportals->input['filter']=="new") {
	        $filterurl="&amp;filter=new";
		$ndata = time() - $mklib->config['shownew']*86400;
		$wherepage="where updated > $ndata $wherehd";
		$order = "ORDER BY `updated` desc";
		$filternew=1;
		$emptygal="{$mklib->lang['ga_nonew']}";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery\">[ {$mklib->lang['ga_showall']} ]</a> ";
		}
	} else {
	        $filterurl="";
		$wherepage="WHERE father = '0' $wherehd";
		$filternew=0;
		$emptygal="{$mklib->lang['ga_emptyga']}";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery&amp;filter=new\">[ {$mklib->lang['ga_shownew']} ]</a> ";
		}
	}
	//pagination
	$query = $DB->query( "SELECT id FROM mkp_gallery_events $wherepage");
	$countpage = $DB->get_num_rows($query);
	$per_page = $mklib->config['gallery_sec_page'];
	if ($per_page=="" or $per_page <= 0) {
			$per_page	=	10;
	}
	$start = intval($mkportals->input['start']);
	$q_page = intval($mkportals->input['st']);
		if ($q_page=="" or $q_page <= 0) {
			$q_page	=	0;
		}
	$start = $q_page;
	$show_pages = $mklib->build_pages( array( TOTAL_POSS  => $countpage,
							PER_PAGE    => $per_page,
							CUR_ST_VAL  => $q_page,
							L_SINGLE    => '',
							L_MULTI     => 'pagine',
						    BASE_URL    => 'index.php?ind=gallery&amp;order='.intval($mkportals->input['order']).$filterurl
										  )
	);
	
	$checkempty = $this->row_categories(0, $order, $start, $per_page, $filternew);
	if(!$checkempty) {
		$content .= $emptygal;
	} else {
		$content .= $checkempty;
	}


// Link Navigation bar
	$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>";
// Link Navigation bar
	$maintit = "{$mklib->lang['ga_sections']}";
	$submit = "$newlink<a href=\"index.php?ind=gallery&amp;op=search\">[ {$mklib->lang['ga_search']} ]</a> <a href=\"index.php?ind=gallery&amp;op=slide_start\">[ {$mklib->lang['ga_slide']} ]</a> ";
	if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_gallery']) {
			$submit ="$newlink<a href=\"index.php?ind=gallery&amp;op=search\">[ {$mklib->lang['ga_search']} ]</a> <a href=\"index.php?ind=gallery&amp;op=slide_start\">[ {$mklib->lang['ga_slide']} ]</a>";
	}
	$stat = $this->retrieve_stat();
	$utonline = $mklib_board->get_active_users("gallery");
// Option evento
	$jump1 = "<option value='0'>{$mklib->lang['ga_jumpcat']}</option>\n";
	$jump1 .= $this->row_select_event("0");
// Option evento
	$jump = "
	<select name=\"jumpsection\" size=\"1\" onchange=\"selChd(this)\" class=\"bgselect\">
       		$jump1
	</select>
	 ";
	 $sort = "
	<select name=\"order\" size=\"1\" onchange=\"selChoc(this)\"  class=\"bgselect\">
	  <option value=\"0\">{$mklib->lang['ga_orderby']}</option>\n
	  <option value=\"1\">{$mklib->lang['ga_position']}</option>\n
	  <option value=\"2\">{$mklib->lang['ga_namecat']}</option>\n
	  <option value=\"3\">{$mklib->lang['ga_datecre']}</option>\n
	  <option value=\"4\">{$mklib->lang['gat_user']}</option>\n
      	</select>
	 ";
	$toolbar = $this->tpl->row_toolbar($jump, $sort);
	$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
	$blocks = $Skin->view_block("{$mklib->lang['ga_imggal']}", $output);
	$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'], $blocks);
	}

	function section_view() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;
		$idev = intval($mkportals->input['idev']);
                $ava="0";
		foreach ($this->cache_sections as $row) {
			if ($row['id'] == $idev) {
				$ava="1";
				$maintit=$row['evento'];
			}
		}
		if($ava=="0") {
            		$message = "{$mklib->lang['error_404']}";
            		$mklib->error_page($message);
            		exit;
		}
// Link Navigation bar
		list($navbar, $page_title) = $this->navbar($idev);
// Link Navigation bar
	if ($mkportals->input['filter']=="new") {
	        $filterurl="&amp;filter=new";
		$ndata = time() - $mklib->config['shownew']*86400;
		$wherepage="and data > $ndata";
		$filternew=1;
		$emptygal="{$mklib->lang['ga_nonew']}";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery&op=section_view&idev=$idev\">[ {$mklib->lang['ga_showall']} ]</a> ";
		}
	} else {
	        $filterurl="";
		$wherepage="";
		$filternew=0;
		$emptygal="{$mklib->lang['ga_emptyga']}";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery&op=section_view&idev=$idev&amp;filter=new\">[ {$mklib->lang['ga_shownew']} ]</a> ";
		}
	}

		switch(intval($mkportals->input['order'])) {
		case '1':
			$order = "ORDER BY `titolo`";
	    	break;
	        case '2':
		        $order = "ORDER BY `id` DESC";
	        break;
	        case '3':
		        $order = "ORDER BY `rate` DESC";
	        break;
	        case '4':
		        $order = "ORDER BY `click` DESC";

        	default:
	    		$order = "ORDER BY `id` DESC";
    	break;
		}
		//pagination
		$query = $DB->query( "SELECT id FROM mkp_gallery WHERE evento = '$idev' and validate = '1' $wherepage");
		$foto_countpage = $DB->get_num_rows($query);
		$foto_per_page = $mklib->config['gallery_file_page'];
		if ($foto_per_page=="" or $foto_per_page <= 0) {
			$foto_per_page	=	10;
		}
		$foto_pages=ceil($foto_countpage/$foto_per_page);
		
		$q_page = intval($mkportals->input['st']);
		if ($q_page=="" or $q_page <= 0) {
			$q_page	=	0;
		}
		$fstart = $q_page*$foto_per_page;
		$countpage=$foto_pages;
		$per_page=1;
	if ($mkportals->input['filter'] != "new") {

		if ($mklib->config['hidedenied']) {
			$wherehd = "and access_group in(-10,".implode(",",$mkportals->member['mgroup']).")";
		}
		$cat_wherepage="WHERE father = '$idev' $wherehd";
		$query = $DB->query( "SELECT id FROM mkp_gallery_events $cat_wherepage");
		$cat_countpage = $DB->get_num_rows($query);
		$cat_per_page = $mklib->config['gallery_sec_page'];
		if ($cat_per_page=="" or $cat_per_page <= 0) {
				$cat_per_page	=	10;
		}
    		$cat_order = "ORDER BY `{$mklib->config['gal_sorttype']}` {$mklib->config['gal_sortdir']}";
		$cat_pages=ceil($cat_countpage/$cat_per_page);
// echo "idev=$idev, cat_order=$cat_order, start=$start, cat_per_page=$cat_per_page, filternew=$filternew";
		$cstart = $q_page*$cat_per_page;
		$content = $this->row_categories($idev, $cat_order, $cstart, $cat_per_page, $filternew);
	}
/*
		if ($cat_pages > $foto_pages) {
			$countpage=$cat_countpage;
			$per_page=$cat_per_page;
		}
*/
		if ($cat_pages > $foto_pages) {
			$countpage=$cat_pages;
			$per_page=1;
		}

		$show_pages = $mklib->build_pages( array( TOTAL_POSS  => $countpage,
							PER_PAGE    => $per_page,
							CUR_ST_VAL  => $q_page,
							L_SINGLE    => '',
							L_MULTI     => 'pagine',
						    BASE_URL    => 'index.php?ind=gallery&amp;op=section_view&amp;idev='.$idev.'&amp;order='.intval($mkportals->input['order'].$filterurl)
										  )
		);
		$query = $DB->query( "SELECT id, evento, titolo, descrizione, file, peso, data, access_group FROM mkp_gallery WHERE evento = '$idev' and validate = '1' $wherepage $order LIMIT $fstart, $foto_per_page");

		if ($mklib->config['classic_thumbs'] != 1) {
			$jq = "<script type=\"text/javascript\" src=\"/jquery/jquery.js\"></script>
				<script src=\"/jquery/jquery.fancybox-1.3.4.pack.js\" type=\"text/javascript\"></script>
				<link type=\"text/css\" href=\"/jquery/jquery.fancybox-1.3.4.css\" rel=\"stylesheet\" />  
				<script type=\"text/javascript\">         
					$(document).ready(function() {     
						$(\"a[rel=gal]\").fancybox({
							'transitionIn'		: 'none',
							'transitionOut'		: 'none',
							'titlePosition' 	: 'over',
							'titleFormat'		: function(title, currentArray, currentIndex, currentOpts) {
								return '<span id=\"fancybox-title-over\">Image ' + (currentIndex + 1) + ' / ' + currentArray.length + (title.length ? ' &nbsp; ' + title : '') + '</span>';
							}
						});
					});
				</script>";
		}		

		$content.= "<tr>
		<td colspan=\"7\"><br>$jq
		<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
		<tr>";                                                                                                                                                      
		$index = 0;
		while( $row = $DB->fetch_row($query) ) {
			$idfoto = $row['id'];
			$ide = $row['evento']; //deprectaed
			$titolo = $row['titolo'];
			$descrizione = $row['descrizione'];
			$access_group = $row['access_group'];

$gaccess=1;
if ($access_group != -10 && !$mkportals->member['g_access_cp']) {
	$gaccess=0;
	foreach ($mkportals->member['mgroup'] as $gid => $gidval)
	{
		if ($gidval==$access_group) {
			$gaccess=1;
		}
	}      	
}
			$file = $row['file'];
			$thumb = "t_$file";
			//$peso = "(".round(($row['peso']/1024),2)." K)";

if ($mklib->config['shownew']){
	$isnew = (time()-$row['data'])/86400;
	if ($isnew <= $mklib->config['shownew']){
		$newimg="<img src=/mkportal/modules/gallery/images/new.png width=24 height=13>";
	} else {
		$newimg="<img src=/mkportal/modules/gallery/images/spacer.gif width=24 height=13>";
	}
}


if ($mklib->config['compactview']){
//--------------------------------------------------------------------  

	if ($gaccess) {
			//Thumbnail & title
			if (!file_exists("mkportal/modules/gallery/album/$ide/$thumb")) { //No thumbnail image

				//Classic thumbnails
				if ($mklib->config['classic_thumbs'] == 1) {
  					$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$ide/$file");
					$imgcontent= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto$filterurl\"><img src=\"mkportal/modules/gallery/album/$ide/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"$titolo\" title=\"$titolo\" /></a>";
				//Ajax thumbnails					
				} else { 
					$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$ide/$file");
					$imgcontent= "<a rel=\"gal\" href=\"mkportal/modules/gallery/album/$ide/$file\" title=\"$titolo\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$ide/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"$titolo\" title=\"$titolo\"/></a>";
				}				
			} else { //Thumbnail available
				if ($mklib->config['classic_thumbs'] == 1) {
					//Classic thumbnails
					$imgcontent= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto$filterurl\"><img src=\"mkportal/modules/gallery/album/$ide/$thumb\" border=\"0\" alt=\"$titolo\" title=\"$titolo\" /></a>";
				} else {
					//Ajax thumbnails
					$imgcontent= "<a rel=\"gal\" href=\"mkportal/modules/gallery/album/$ide/$file\" title=\"$titolo\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$ide/$thumb\" border=\"0\" alt=\"$titolo\" title=\"$titolo\"/></a>";	
				}
			}
			// End
	} else {
			$imgcontent = "<img src=\"mkportal/modules/gallery/images/t_ad.jpg\" border=\"0\" alt=\"\" />";
	}
$content.= "
<td valign=\"top\" class=\"td-thumbnails-thumb\">
 <table class=\"table-shadows\" border=0 cellpadding=0 cellspacing=0>
<tr><td align=center>$newimg</td></tr>
  <tr>
    <td class=\"td-shadows-main\">
$imgcontent
    </td>
    <td class=\"td-shadows-right\">&nbsp;</td>
  </tr>
  <tr>
    <td class=\"td-shadows-bottom\">&nbsp;</td>
    <td class=\"td-shadows-bottomright\">&nbsp;</td>
  </tr>
</table>
</td>
";
			++ $index;
			if ($index == $mklib->config['img_per_row']) {
				$index = 0;
				$content.= "</tr><tr><td>&nbsp;</td></tr>";
				$content.= "<tr>";
			}
//--------------------------------------------------------------------  
} else {
//-------------------------------------------------------------------- ⠭ 
			$content.= "<td align=\"center\" valign=\"bottom\">";
			$content.= "<table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\">";
  			$content.= "<tr>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
  			$content.= "</tr><tr>";
    			$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" style=\"background-color: #ffffff;\" align=\"center\">$newimg<br>";
	if ($gaccess) {
			//Thumbnail & title
			if (!file_exists("mkportal/modules/gallery/album/$ide/$thumb")) { //No thumbnail image

				//Classic thumbnails
				if ($mklib->config['classic_thumbs'] == 1) {
  					$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$ide/$file");
					$content.= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto$filterurl\"><img src=\"mkportal/modules/gallery/album/$ide/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><br /><a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\" title=\"{$mklib->lang['ga_details']}\">$titolo</a><br /> ";
				//Ajax thumbnails					
				} else { 
					$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$ide/$file");
					$content.= "<a rel=\"gal\" href=\"mkportal/modules/gallery/album/$ide/$file\" title=\"$titolo\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$ide/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><div style=\"margin-top: 5px\"><a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\" title=\"{$mklib->lang['ga_details']}\">$titolo</a></div>";
				}				
			} else { //Thumbnail available
				if ($mklib->config['classic_thumbs'] == 1) {
					//Classic thumbnails
					$content.= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto$filterurl\"><img src=\"mkportal/modules/gallery/album/$ide/$thumb\" border=\"0\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><br /><a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\" title=\"{$mklib->lang['ga_details']}\">$titolo</a><br /> ";
				} else {
					//Ajax thumbnails
					$content.= "<a rel=\"gal\" href=\"mkportal/modules/gallery/album/$ide/$file\" title=\"$titolo\"><img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$ide/$thumb\" border=\"0\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><div style=\"margin-top: 5px\"><a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\" title=\"{$mklib->lang['ga_details']}\">$titolo</a></div>";	
				}
			}
			// End
	} else {
			$content .= "<img src=\"mkportal/modules/gallery/images/t_ad.jpg\" border=\"0\" alt=\"\" /><div style=\"margin-top: 5px\">$titolo</div>";
	}
			$content.= "</td>";
   			$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>";
  			$content.= "</tr><tr>";
    		$content.= "<td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
    		$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"></td>";
    		$content.= "<td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
  			$content.= "</tr></table>";
			$content.= "</td>";
			++ $index;
			if ($index == $mklib->config['img_per_row']) {
				$index = 0;
				$content.= "</tr><tr><td>&nbsp;</td></tr>";
				$content.= "<tr>";
			}
//------------------------------------------------------------------- ⠭ 
}
		}
		$content.= "</tr></table>";

		$content.= "</td></tr>";

//		$maintit = $ide;

		if (!$mklib->config['mass_uploader_enable'] || $mklib->config['uploader_default'] == 1){
			$tab="submit_file";
		} else {
			$tab="mass";
		}

		$add="";
		if($mkportals->member['g_access_cp'] || $mklib->member['g_send_gallery']) {
			$add ="<a href=\"index.php?ind=gallery&amp;op=$tab&ide=$idev\">[ {$mklib->lang['ga_insertimg']} ]</a>";
		}
		$submit = "$newlink<a href=\"index.php?ind=gallery&amp;op=search\">[ {$mklib->lang['ga_search']} ]</a>  $add ";
		$stat = $this->retrieve_stat();
// Option evento
		$jump1 = "<option value='0'>{$mklib->lang['ga_jumpcat']}</option>\n";
		$jump1 .= $this->row_select_event($idev);
// Option evento
		$jump = "
		<select name=\"jumpsection\" size=\"1\" onchange=\"selChd(this)\"  class=\"bgselect\">
       		$jump1
      	</select>
	 	";
	 	$sort = "
		<select name=\"order\" size=\"1\" onchange=\"selChoe(this, '$idev')\"  class=\"bgselect\">
		 <option value=\"0\">{$mklib->lang['ga_orderby']}</option>\n
		 <option value=\"1\">{$mklib->lang['ga_nameimg']}</option>\n
		 <option value=\"2\">{$mklib->lang['ga_dateins']}</option>\n
	         <option value=\"3\">{$mklib->lang['ga_sortrate']}</option>\n
	         <option value=\"4\">{$mklib->lang['ga_sortclick']}</option>\n
      	</select>
		 ";
		$toolbar = $this->tpl->row_toolbar($jump, $sort);
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_imggal']}", $output);
		$mklib->printpage("1", "1", $page_title.$mklib->lang['tt_sep'].$mklib->sitename, $blocks);
		}

function foto_show() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;
		$id = intval($mkportals->input['ida']);

	if ($mkportals->input['filter']=="new") {
	        $filterurl="&amp;filter=new";
		$ndata = time() - $mklib->config['shownew']*86400;
		$wherepage="and data > $ndata";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery&op=foto_show&ida=$id\">[ {$mklib->lang['ga_showall']} ]</a> ";
		}
       		$message = "{$mklib->lang['ga_nonew']}";
	} else {
	        $filterurl="";
		$wherepage="";
		if  ($mklib->config['shownew']){
			$newlink="<a href=\"index.php?ind=gallery&op=foto_show&ida=$id&amp;filter=new\">[ {$mklib->lang['ga_shownew']} ]</a> ";
		}
       		$message = "{$mklib->lang['error_404']}";
	}

		$query = $DB->query( "SELECT evento, titolo, descrizione, file, click, rate, trate, autore, idauth, peso, data, access_group, metadata FROM mkp_gallery WHERE id = '$id' AND validate = '1' $wherepage");
		$content.= "
			<tr>
			  <td>
<script type=\"text/javascript\" src=\"/jquery/jquery.js\"></script>
<script src=\"/jquery/jquery.fancybox-1.3.4.pack.js\" type=\"text/javascript\"></script>
<link type=\"text/css\" href=\"/jquery/jquery.fancybox-1.3.4.css\" rel=\"stylesheet\" />  
<script type=\"text/javascript\">         
	$(document).ready(function() {     
			$(\"a[rel=gal]\").fancybox({
				'transitionIn'		: 'none',
				'transitionOut'		: 'none',
				'titlePosition' 	: 'over',
				'titleFormat'		: function(title, currentArray, currentIndex, currentOpts) {
					return '<span id=\"fancybox-title-over\">Image ' + (currentIndex + 1) + ' / ' + currentArray.length + (title.length ? ' &nbsp; ' + title : '') + '</span>';
				}
			});
	});
</script> 


<br />
			    <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
			      <tr>
			      ";
		$row = $DB->fetch_row($query);
		if(!$row) {
            		$mklib->error_page($message);
            		exit;
		}
		$access_group = $row['access_group'];

$gaccess=1;
if ($access_group != -10 && !$mkportals->member['g_access_cp']) {
	$gaccess=0;
	foreach ($mkportals->member['mgroup'] as $gid => $gidval)
	{
		if ($gidval==$access_group) {
			$gaccess=1;
		}
	}      	
}
		$titolo = $row['titolo'];
		$descrizione = $row['descrizione'];
		$evento1 = $row['evento'];
		$file = $row['file'];
		$click = $row['click'];
		$rate = $row['rate'];
		$trate = $row['trate'];
		$autore = $row['autore'];
		$idauth = $row['idauth'];
		$metadata = $row['metadata'];
		$peso = round(($row['peso']/1024),2)." Kb";

		if ($mklib->config['exif'] && $metadata){
			$exif=unserialize($metadata);
			$sdata = $mklib->create_date($exif['created_timestamp'], "short");

			$metadata="<tr>
                          <td class=\"modulecell mkalign1\" width=\"20%\" valign=\"top\">{$mklib->lang['ga_exif']}</td>
                          <td class=\"modulecell mkalign1\" width=\"80%\">
                        <table border=0 cellspacing=2 cellpadding=2>
				<tr><td>{$mklib->lang['ga_camera']}</td><td>{$exif['camera']}</td><td width=20>&nbsp;</td><td>{$mklib->lang['ga_sdate']}</td><td>$sdata</td></tr>
				<tr><td>{$mklib->lang['ga_aperture']}</td><td>F {$exif['aperture']}</td><td width=20>&nbsp;</td><td>{$mklib->lang['ga_flength']}</td><td>{$exif['focal_length']} mm</td></tr>
				<tr><td>{$mklib->lang['ga_iso']}</td><td>{$exif['iso']}</td><td width=20>&nbsp;</td><td>{$mklib->lang['ga_sspeed']}</td><td>{$exif['shutter_speed']} s</td></tr>
			</table>

			</td>
			</tr>";

		} else {
			$metadata="";
		}


		if( $row['data']) {
			$cdata = $mklib->create_date($row['data'], "short");
		}
		if ($mklib->config['shownew']){
			$isnew = (time()-$row['data'])/86400;
			if ($isnew <= $mklib->config['shownew']){
				$newimg="<img src=/mkportal/modules/gallery/images/new.png width=24 height=13>";
			} else {
				$newimg="<img src=/mkportal/modules/gallery/images/spacer.gif width=24 height=13>";
			}
		}

		$image_details = @getimagesize("mkportal/modules/gallery/album/$evento1/$file");
		$dimensioni = "$image_details[0] x $image_details[1]";
		++$click;
		$DB->query("UPDATE mkp_gallery SET click ='$click' WHERE id = '$id'");
		$width = round(($rate*100)/4) - 6;
	 	$width2 = $width - 4;

		$imagesize_x = $image_details[0];
		if($imagesize_x > $mklib->config['image_width_on_page']) {
			$size = $mklib->ResizeImage($mklib->config['image_width_on_page'],"$mklib->sitepath/mkportal/modules/gallery/album/$evento1/$file");
			$dims = "width=\"{$mklib->config['image_width_on_page']}\" height=\"$size[1]\"";
		}
		$content.= "<td align=\"center\" valign=\"bottom\">$newimg";
			$content.= "<table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\" align=\"center\">";
  			$content.= "<tr>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
  			$content.= "</tr><tr>";
    			$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" bgcolor=\"#ffffff\" align=\"center\">";
if ($gaccess) {
		//Thumbnail & title
//		$content.= "<img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$evento1/$file\" border=\"0\" $dims alt=\"$titolo\" title=\"$titolo\" onclick=\"ajax_showPop('{$mklib->sitepath}index.php?ind=ajax&act=showgal&idp=$id', 1);return false\"/>";
		$content.= "
<a rel=\"gal\" href=\"mkportal/modules/gallery/album/$evento1/$file\" title=\"$titolo\">
<img style=\"cursor: url($mklib->template/images/mkajax/zoomin.cur), pointer;\" src=\"mkportal/modules/gallery/album/$evento1/$file\" border=\"0\" $dims alt=\"$titolo\" title=\"$titolo\"/>
</a>
";

} else {
		$content .= "<img src=\"mkportal/modules/gallery/images/ad.jpg\" border=\"0\" alt=\"\" />";
}
		$content.= "</td>";
   		$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>";
  		$content.= "</tr><tr>";
    		$content.= "<td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
    		$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"><img src=\"$mklib->images/a_sf_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
    		$content.= "<td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
  			$content.= "</tr></table>";


		$content.= "</td>";
		$content.= "</tr></table><p align=\"center\">";

		//Next image & previous image links
		$query = $DB->query( "SELECT id FROM mkp_gallery WHERE id < $id AND evento = $evento1 AND validate = '1' $wherepage ORDER BY id DESC LIMIT 1");
		$row = $DB->fetch_row($query);
		$id_next = $row['id'];
		$query = $DB->query( "SELECT id FROM mkp_gallery WHERE id > $id AND evento = $evento1 AND validate = '1' $wherepage ORDER BY id LIMIT 1");
		$row = $DB->fetch_row($query);
		$id_prew = $row['id'];
		if($id_prew) {
			$content.= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id_prew$filterurl#foto\"><img src=\"$mklib->images/a_indietro.gif\" border=\"0\" alt=\"\" /></a>&nbsp;&nbsp;&nbsp;";
		}
		if($id_next) {
			$content.= "&nbsp;&nbsp;&nbsp;<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id_next$filterurl#foto\"><img src=\"$mklib->images/a_avanti.gif\" border=\"0\" alt=\"\" /></a><br /><br />";
		}
// ----------------------------- rate

		switch(intval($rate)) {
    			case '1':
			$check1="checked=\"checked\"";
    				break;
    			case '2':
			$check2="checked=\"checked\"";
    				break;
    			case '3':
			$check3="checked=\"checked\"";
    				break;
    			case '4':
			$check4="checked=\"checked\"";
    				break;
    			case '5':
			$check5="checked=\"checked\"";
    				break;
		}

		$ratecontent .= "
<script language=\"javascript\" type=\"text/javascript\" src=\"/jquery/jquery.MetaData.js\"></script>
<script language=\"javascript\" type=\"text/javascript\" src=\"/jquery/jquery.rating.js\"></script>
<link rel=\"stylesheet\" type=\"text/css\" href=\"/jquery/jquery.rating.css\" />


  
    <form method=\"post\" id=\"ratea\" name=\"ratea\" action=\"index.php?ind=gallery&amp;op=add_rate&amp;ide={$id}\">
<script>
$(function(){
 $('.auto-submit-star').rating({
  callback: function(value, link){
   this.form.submit();
  }
 });
});
</script>

<table align=\"right\" border=\"0\" cellpadding=\"5\">
     <tr valign=\"bottom\">
	<td>{$mklib->lang['gat_score']}:</td>
        <td>
	  <input type=\"hidden\" name=\"idf\" value=\"$idf\" />
	  <input type=\"radio\" tabindex=\"1\" name=\"rating\" value=\"1\" class=\"auto-submit-star\" $disabled $check1 />
  	  <input type=\"radio\" tabindex=\"2\" name=\"rating\" value=\"2\" class=\"auto-submit-star\" $disabled $check2 />
  	  <input type=\"radio\" tabindex=\"3\" name=\"rating\" value=\"3\" class=\"auto-submit-star\" $disabled $check3 />
  	  <input type=\"radio\" tabindex=\"4\" name=\"rating\" value=\"4\" class=\"auto-submit-star\" $disabled $check4 />
  	  <input type=\"radio\" tabindex=\"5\" name=\"rating\" value=\"5\" class=\"auto-submit-star\" $disabled $check5 />
	</td>
	<td>
		$rate / $trate
	</td>
      </tr>		
    </table>
    </form>";



// ----------------------------- end rate



		if ($mklib->config['gal_social']) {
			$content .= "
					<table border=\"0\" cellpadding=\"5\" align=\"left\"><tr valign=\"top\"><td>
					<div>
					<meta property=\"og:title\" content=\"$titolo\" />
					<meta property=\"og:description\" content=\"$descrizione\" />
					 <meta property=\"og:image\" content=\"{$mklib->siteurl}/mkportal/modules/gallery/album/$evento1/$file\" />
					 <iframe src=\"http://www.facebook.com/plugins/like.php?href={$mklib->siteurl}/index.php?ind=gallery%26op=foto_show%26ida=$id&amp;layout=button_count&amp;show_faces=1&amp;width=140&amp;action=like&amp;colorscheme=light&amp;height=25\" scrolling=\"no\" frameborder=\"0\" style=\"border:none; overflow:hidden; width:140px; height:25px;\" allowTransparency=\"true\"></iframe>
					</div></td><td><div> 
					<script type=\"text/javascript\" src=\"http://vkontakte.ru/js/api/share.js?9\" charset=\"windows-1251\"></script>
					<script type=\"text/javascript\">
					<!--
						document.write(VK.Share.button({
						  title: '$titolo',
						  description: '$descrizione',
						  image: '{$mklib->siteurl}/mkportal/modules/gallery/album/$evento1/$file',
						  noparse: true}, 
						{type: 'round',
						text: '{$mklib->lang['ga_vk']}'
						}));
					-->
					</script>
					</div></td><td>
					<div>
					<link href=\"http://stg.odnoklassniki.ru/share/odkl_share.css\" rel=\"stylesheet\">
					<script src=\"http://stg.odnoklassniki.ru/share/odkl_share.js\" type=\"text/javascript\" ></script>
					<a class=\"odkl-klass-stat\" href=\"{$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id\" onclick=\"ODKL.Share(this);return false;\"><span>0</span></a>
					<script type=\"text/javascript\"> ODKL.init(); </script>
					</div></td>
					<td>
					<script type=\"text/javascript\">
						var url=\"{$mklib->siteurl}/index.php?ind=gallery&op=foto_show&ida=$id\";
						var title=\"$titolo\";
						var description=\"$descrizione\";
					var imageurl=\"{$mklib->siteurl}/mkportal/modules/gallery/album/$evento1/$file\";
					url=encodeURIComponent(url);
					title=encodeURIComponent(title);
					description=encodeURIComponent(description);
					imageurl=encodeURIComponent(imageurl);
					document.write('<a target=\"_blank\" class=\"mrc__plugin_like_button\" href=\"http://connect.mail.ru/share?url='+url+'&amp;title='+title+'&amp;description='+description+'&amp;imageurl='+imageurl+'\"></a>');
					</script>
					<script src=\"http://cdn.connect.mail.ru/js/loader.js\" type=\"text/javascript\" charset=\"UTF-8\"></script>
					</td>
					</tr></table>";
		}
		$content.= $ratecontent;
		$content.= "</p><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"moduleborder\"><tr><td>";		
		$content.= "<table border=\"0\" width=\"100%\" cellspacing=\"1\" cellpadding=\"5\">";
		$content .= $this->tpl->row_entry($id, $titolo, $descrizione, $click, $width2, $width, $autore, $peso, $dimensioni, $cdata, $metadata);
		$content.= "
				  </table>
				</td>
			      </tr>
			    </table>
		";
		$content .= "
			    <table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"moduleborder\">
			      <tr>
				<td>
				  <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"5\">
				    <tr>
				      <td class=\"tdblock\" colspan=\"2\">
				      {$mklib->lang['ga_comments']}
				      </td>
				    </tr>
		";
		$query = $DB->query( "SELECT id, autore, testo, data FROM mkp_gallery_comments WHERE identry = '$id' ORDER BY `id` DESC");
		while( $row = $DB->fetch_row($query) ) {
			$idcomm = $row['id'];
			$autorec = $row['autore'];
			$testo = $row['testo'];
			$data = $mklib->create_date($row['data'], "short");
			$delete = "
				    <script type=\"text/javascript\">
				    function makesure() {
				    if (confirm('{$mklib->lang[ga_delcoconfirm]}')) {
				    return true;
				    } else {
				    return false;
				    }
				    }
				    </script><a href=\"index.php?ind=gallery&amp;op=del_comment&amp;idcomm=$idcomm&amp;iden=$id\" onclick=\"return makesure()\">[ {$mklib->lang['ga_delete']} ]</a>
			";
			if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery']) {
				$delete ="";
			}
			$content .= "
				    <tr>
				      <td class=\"modulecell mkalign1\" width=\"20%\" valign=\"top\">{$autorec}<br />{$data}<br />{$delete}</td>
				      <td class=\"modulecell mkalign1\" width=\"80%\" valign=\"middle\">{$testo}</td>
				    </tr>
			";
		}
		$content .= "
				  </table>
				</td>
			      </tr>
			    </table>
			  </td>
			</tr>
			";
// Link Navigation bar		
		list($navbar, $page_title) = $this->navbar($evento1);
// Link Navigation bar
		$maintit = $titolo;
		$submit = "<script type=\"text/javascript\">
			function makesure2() {
			if (confirm('{$mklib->lang[ga_delimgconfirm]}')) {
			return true;
			} else {
			return false;
			}
			}
			</script>$newlink<a href=\"index.php?ind=gallery&amp;op=search\">[ {$mklib->lang['ga_search']} ]</a> <a href=\"index.php?ind=gallery&amp;op=edit_file&amp;iden=$id\">[ {$mklib->lang['ga_modify']} ]</a>  <a href=\"index.php?ind=gallery&amp;op=del_file&amp;iden=$id\" onclick=\"return makesure2()\">[ {$mklib->lang['ga_delete']} ]</a> ";
			if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery'] && (!$mklib->member['g_send_gallery'] || $mkportals->member['id'] != $idauth || $idauth == 0 )) {
				$submit ="$newlink<a href=\"index.php?ind=gallery&amp;op=search\">[ {$mklib->lang['ga_search']} ]</a>&nbsp;";
		}

        if($mkportals->member['g_access_cp'] || $mklib->member['g_send_comments']) { 

    $subform .= "  <table class=\"modulebg\" cellspacing=\"1\" cellpadding=\"0\" width=\"100%\" border=\"0\"> 
                <tr> 
                  <td class=\"tdblock\"> 
                    <a name=add></a> 
                <form action=\"index.php?ind=gallery&amp;op=add_comment\" name=\"editor\" method=\"post\" > 
                <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\">         
                  <tr> 
                    <td align=\"center\" height=\"100%\"> 
                      <input type=\"hidden\" name=\"ide\" value=\"$id\" />"; 

//    $subform .= $mklib_board->show_emoticons(); 
		if ($mklib->config['capcha_q'] && $mklib->config['capcha_a']) {
			$capcha = "<tr><td align=\"center\"><div>{$mklib->lang['ga_capchadesc']}</div><div style=\"font-family: arial, verdana, helvetica, sans-serif; color: #ff0000; font-size: 9pt; font-weight: bold; text-align: center;\">{$mklib->config['capcha_q']}<input type=\"text\" name=\"galcapcha\" size=\"1\" maxlength=\"100\"></div></td></tr>";
		}
    $subform .= " 
                    </td></tr> 
                  <tr> 
                    <td width=\"70%\" class=\"mkalign1\"> 
                      <textarea cols=\"10\" style=\"width:100%\" rows=\"6\" name=\"ta\"></textarea> 
                    </td> 
                  </tr> 
			$capcha
                  <tr> 
                    <td align=\"center\"> 
                      <input type=\"submit\" name=\"submit\" value=\"{$mklib->lang['ga_send']}\" class=\"mkbutton\" accesskey=\"s\" /><br /> 
                    </td> 
                  </tr>         
                </table> 
                </form> 
                   
                  </td> 
                </tr> 
              </table>"; 
        $content .= " 
        <tr> 
          <td class=\"tdblock\" colspan=\"3\"> 
          $subform 
          </td> 
        </tr> 
        "; 
}  



		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_imggal']}", $output);
		$mklib->printpage("1", "1", $titolo.$mklib->lang['tt_sep'].$page_title.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->sitename, $blocks);
		}

	function add_comment() {
    	global $mkportals, $DB, $mklib, $mklib_board;
		$ide= intval($mkportals->input['ide']);
		$testo = $mkportals->input['ta'];
		$autore = $mkportals->member['name'];

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_comments']) {
			$message = "{$mklib->lang['ga_nosendcom']}";
			$mklib->error_page($message);
			exit;
		}

        $cdata = time();
		if ($mklib->config['capcha_q'] && $mklib->config['capcha_a']) {
			$galcapcha = $mkportals->input['galcapcha'];
			if ($mklib->config['capcha_a'] != $galcapcha) {
				$message = "{$mklib->lang['ga_wronganswer']}";
				$mklib->error_page($message);
				exit;
			}
		}
		if (!$testo) {
			$message = "{$mklib->lang['ga_inserttx']}";
			$mklib->error_page($message);
			exit;
		}
		$testo = $mklib_board->decode_smilies($testo);
		//$testo = addslashes($testo);
		$query="INSERT INTO mkp_gallery_comments(identry, autore, testo, data)VALUES('$ide', '$autore', '$testo', '$cdata')";
		$DB->query($query);
		$DB->close_db();
	 	Header("Location: index.php?ind=gallery&op=foto_show&ida=$ide");
		exit;
  	}

	function del_comment() {
    	global $mkportals, $DB, $mklib, $mklib_board;

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery']) {
			$message = "{$mklib->lang['ga_nodelcom']}";
			$mklib->error_page($message);
			exit;
		}
		$ide= intval($mkportals->input['iden']);
		$idcomm= intval($mkportals->input['idcomm']);
		$DB->query("DELETE FROM mkp_gallery_comments WHERE id = $idcomm");
		$DB->close_db();
	 	Header("Location: index.php?ind=gallery&op=foto_show&ida=$ide");
		exit;
  	}

	function add_rate() {
    	global $mkportals, $DB, $mklib, $mklib_board;
		$ide= intval($mkportals->input['ide']);
		$rating = intval($mkportals->input['rating']);
		$iduser = $mkportals->member['id'];
		$ipuser = $_SERVER['REMOTE_ADDR'];
		$module = "gallery";

		if (!$iduser || $iduser == 0) { //Guests: check IP address
			$query = $DB->query( "SELECT id FROM mkp_votes WHERE module = '$module' AND id_entry = '$ide' AND ip = '$ipuser'");
			$check = $DB->get_num_rows($query);

		} else { //Registered Members: check userid
			$query = $DB->query( "SELECT id FROM mkp_votes WHERE module = '$module' AND id_entry = '$ide' AND id_member = '$iduser'");
			$check = $DB->get_num_rows($query);
		}
		if($check) {
			$message = "{$mklib->lang['ga_novote']}";
			$mklib->error_page($message);
			exit;
		}

		//Validate rating value
		if ($rating < 1 || $rating > 5) {
    			$message = $mklib->lang['ga_badvote'];
    			$mklib->error_page($message);
    			exit;
		}

		$query="INSERT INTO mkp_votes(id_entry, module, id_member, ip)VALUES('$ide', '$module', '$iduser', '$ipuser')";
		$DB->query($query);

		$query = $DB->query( "SELECT rate, trate FROM mkp_gallery WHERE id = '$ide'");
		$row = $DB->fetch_row($query);
		$rate = $row['rate'];
		$trate = $row['trate'];
		$votes = ($trate +1);
		$rate = round ((($trate*$rate)+$rating)/($votes), 2);

		$DB->query("UPDATE mkp_gallery SET rate ='$rate', trate ='$votes' WHERE id = '$ide'");
		$DB->close_db();
	 	Header("Location: index.php?ind=gallery&op=foto_show&ida=$ide");
		exit;
  	}
	function submit_file() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;

		if ($mkportals->member['id']) {
			$uname = $mkportals->member['name'];
		}
		$evento = intval($mkportals->input['ide']);
		if (!$evento) {
			$message = "{$mklib->lang['ga_nocat']}";
			$mklib->error_page($message);
			exit;
        	}

$query = $DB->query( "SELECT uname, evento, access_group FROM mkp_gallery_events WHERE id = '$evento'");
$rowcheck = $DB->fetch_row($query);
if ($rowcheck['uname'] && $rowcheck['uname'] != $mkportals->member['name']){
      $message = "{$mklib->lang['ga_noupimg']}";
      $mklib->error_page($message);
      exit;
}

		if(!$rowcheck['uname'] && !$mkportals->member['g_access_cp'] && !$mklib->member['g_send_gallery']) {
			$message = "{$mklib->lang['ga_nouplimg']}";
			$mklib->error_page($message);
			exit;
		}
		$query = $DB->query( "SELECT count(*) as num FROM mkp_gallery where autore=\"".$uname."\"");
		$num = $DB->fetch_row($query);

		if($mklib->config['pa_max_foto']>0 && $num['num'] >= $mklib->config['pa_max_foto']) {
			$message = "{$mklib->lang['ga_maxfoto']}";
			$mklib->error_page($message);
			exit;
		}
// Link Navigation bar
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_insertimg']}</a>";
// Link Navigation bar		
		$maintit = "{$mklib->lang['ga_mkpgal']}";
// Option evento		
	// Option evento
		$content .= "
		<tr>
		  <td>
		  
		    <form action=\"index.php?ind=gallery&amp;op=add_file\" name=\"UPLOAD\" method=\"post\" enctype=\"multipart/form-data\">
		    <table align=\"center\" border=\"0\">
		      <tr>
			<td colspan=2 align=center>{$mklib->lang['ga_upto']} <b>{$rowcheck['evento']}</b>
				<input type=\"hidden\" name=\"evento\" value=\"$evento\" /></td>
			  </td>
			</tr>
			<tr>
			  <td>{$mklib->lang['ga_title']}</td>
			  <td><input type=\"text\" name=\"titolo\" size=\"60\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td valign=\"top\">{$mklib->lang['ga_des']}</td>
			  <td><textarea cols=\"62\" rows=\"10\" name=\"descrizione\" class=\"bgselect\"></textarea></td>
			</tr>
			<tr>
			  <td>{$mklib->lang['ga_file']}</td>
			  <td><input type=\"file\" name=\"FILE_UPLOAD\" size=\"48\" class=\"bgselect\" /></td>
			</tr>
<!-- Submit FILE URL -->
			<tr>
			  <td valign=\"top\">{$mklib->lang['ga_file_URL']}</td>
			  <td><input type=\"text\" name=\"FILE_URL\" size=\"60\" class=\"bgselect\" /><br> {$mklib->lang['album_URL']} </td>
			</tr>	
<!-- Submit FILE URL -->
			<tr>
			  <td colspan=\"2\" align=center><input type=\"submit\" value=\"{$mklib->lang['ga_insert']}\" class=\"mkbutton\" /></td>
			</tr><tr>
		      				<td align=left colspan=\"2\">";
if ($mklib->config['image_max_dimen'] > 0 || $mklib->config['upload_image_max'] > 0)
{
$content.="<b>{$mklib->lang['ga_limits']}</b><br>";
}
if ($mklib->config['image_max_dimen'] > 0)
{
$content.="{$mklib->lang['ga_maxdimension']} <b>{$mklib->config['image_max_dimen']} px.</b><br>";
}
if ($mklib->config['upload_image_max'] > 0)
{
$content.="{$mklib->lang['ga_maxfilesize']} <b>{$mklib->config['upload_image_max']} kb.</b>";
}
	if ($mklib->config['mass_uploader_enable']) {
		$switchto = "<p align=center><a href=/index.php?ind=gallery&op=mass&ide=$evento>{$mklib->lang['ga_switchtom']}</a></p>";
	}


			$content.="</td></tr></table>
		      </form>
		      $switchto
		    </td>
		  </tr>
		";

		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_insertaimg']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_insertimg'], $blocks);
	}

	function add_file() {

		global $mkportals, $DB, $mklib, $_FILES, $mklib_board;
		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_gallery']) {
			$message = "{$mklib->lang['ga_nouplimg']}";
			$mklib->error_page($message);
			exit;
		}
		if ($mkportals->member['id']) {
			$uname = $mkportals->member['name'];
		}
		$evento = intval($mkportals->input['evento']);
		$query = $DB->query( "SELECT uname, access_group FROM mkp_gallery_events WHERE id = '$evento'");
		$rowcheck = $DB->fetch_row($query);
		if ($rowcheck['uname'] && $rowcheck['uname'] != $uname){
			$message = "{$mklib->lang['ga_nouplimg']}";
			$mklib->error_page($message);
			exit;
		}
		$access_group = $rowcheck['access_group'];
		$gaccess = 1;
		if ($access_group != -10 && !$mkportals->member['g_access_cp']) {
			$gaccess=0;
			foreach ($mkportals->member['mgroup'] as $gid => $gidval)
			{
				if ($gidval==$access_group) {
					$gaccess=1;
				}
			}      	
		}              	
		if (!$gaccess){
			$message = "{$mklib->lang['ga_nouplimg']}";
			$mklib->error_page($message);
			exit;
		}


		$FILE_UPLOAD = $mkportals->input['FILE_UPLOAD'];
		$FILE_URL = $mkportals->input['FILE_URL'];
		
		if (!$FILE_UPLOAD && $FILE_URL){
            $file = $FILE_URL;
            $file_name = preg_replace("`.*\/(([^\/]+)\.([^\/]+))`", "\\1", $FILE_URL);
            $file_name = preg_replace("/[^a-zA-Z0-9\_\-\.]/", '' , $file_name);
            $file_name = preg_replace('#\.{1,}#s', '.', $file_name);
            $file_name = preg_replace('#\_{2,}#s', '_', $file_name);

            if (!preg_match('#^http://#', $FILE_URL) || !$file_name) {
                $message = "{$mklib->lang['ga_noURL']}<br />{$mklib->lang['ga_URL']}";
                $mklib->error_page($message);
                exit;
            } 

        $fp = fopen($FILE_URL,"rb");
		
		if (!$fp) {
			$message = "{$mklib->lang['ga_fopen']}";
			$mklib->error_page($message);
			exit;
		}

        $header = stream_get_meta_data($fp);
        	for ($i=1; isset($header['wrapper_data'][$i]); $i++) {
            	if (strstr(strtolower($header['wrapper_data'][$i]), 'content-type')) {
                	if((eregi('^content-type: ([[:graph:]]+)', $header['wrapper_data'][$i], $MIME_extraction_array))) {
					$file_type = $MIME_extraction_array[1];
					}
				}
				if (strstr(strtolower($header['wrapper_data'][$i]), 'content-length')) {
                	if(eregi('^content-length: ([[:digit:]]+)', $header['wrapper_data'][$i], $length_extraction_array)) {
                	$peso = $length_extraction_array[1];
                	}
            	}
			}
		} else {
		$file =  $_FILES['FILE_UPLOAD']['tmp_name'];
		$file_name =  $_FILES['FILE_UPLOAD']['name'];
		//$file_type =  $_FILES['FILE_UPLOAD']['type'];
		$peso =  $_FILES['FILE_UPLOAD']['size'];		
		}
		
		$titolo = $mkportals->input['titolo'];
		$descrizione = $mkportals->input['descrizione'];
		$autore = $mkportals->member['name'];
		$idauth = $mkportals->member['id'];

		if (!$evento || !$titolo || !$file) {
			$message = "{$mklib->lang['ga_mustcompile']}";
			$mklib->error_page($message);
			exit;
		}

		if ($file_name) {
			//Validate file extension
		//Edited by Kimi in C1.2.2 (code by visiblesoul)
		$file_ext = preg_replace("`.*(\..*)`", "\\1", $file_name);
	//	$file_ext = substr ($file_name, (strlen($file_name)-4), 4); //Removed by Kimi in C1.2.2 (thanks to BMG)
		$file_ext = strtolower($file_ext);

		switch($file_ext)
		{
			case '.gif':
				$ext = '.gif';
				break;
			case '.jpg':
				$ext = '.jpg';
				break;
			case '.png':
				$ext = '.png';
				break;
			case '.tif':
				$ext = '.tif';
				break;
			case '.bmp':
				$ext = '.bmp';
				break;
			default:
				$ext = 'not_supported';
				break;
		}

			if ($ext == "not_supported")  {
				$message = "{$mklib->lang['ga_notsup']}";
				$mklib->error_page($message);
				exit;
			}

			//Validate file size
			if ($mklib->config['upload_image_max'] > 0 && $peso > ($mklib->config['upload_image_max']*1024)) {
				$message = "{$mklib->lang['ga_maxupl']} " . $mklib->config['upload_image_max'] . " kb.";
				$mklib->error_page($message);
				exit;
			}
						
			if (!$FILE_UPLOAD && $FILE_URL) {
				//Copy file from remote server to gallery "tmp" directory
				if (!copy("$file", "mkportal/modules/gallery/album/tmp/$file_name")) {
					$message = "{$mklib->lang['ga_errorupl']}";
					$mklib->error_page($message);
					exit;
				}
			} else {
				//Move file from local server tmp directory to gallery "tmp" directory
				if (!move_uploaded_file("$file", "mkportal/modules/gallery/album/tmp/$file_name")) {
					$message = "{$mklib->lang['ga_errorupl']}";
					$mklib->error_page($message);
					exit;
				}
			}
			@chmod("mkportal/modules/gallery/album/tmp/$file_name", 0644);

			//Validate by mime type
			$tmpfilename = "mkportal/modules/gallery/album/tmp/$file_name";
			$size = @getimagesize($tmpfilename);
			//If getimagesize does not recognize file as an image delete file
			if (!$size)  {
				@unlink($tmpfilename);
				$message .= "{$mklib->lang['ga_notsup']}";
				$mklib->error_page($message);
				exit;
			}

			$imgsize = GetImageSize($tmpfilename);
			if ($mklib->config['image_max_dimen'] > 0 && ($imgsize[0] > $mklib->config['image_max_dimen'] || $imgsize[1] > $mklib->config['image_max_dimen'])) {
				$message = "{$mklib->lang['ga_imgmaxdimenover']} {$mklib->config['image_max_dimen']} px.";
				$mklib->error_page($message);
				exit;
			}

			$file_type = $size['mime'];
		
			if (!$mklib->check_attach($file_type, $file_ext))  {
				//Delete invalid file and display error
				@unlink($tmpfilename);
				$message .= "{$mklib->lang['ga_notsup']}";
				$mklib->error_page($message);
				exit;
			}	

			//Validate by file contents
			$fcontents = file_get_contents ($tmpfilename);
			$carray = array("html", "javascript", "vbscript", "alert", "onmouseover", "onclick", "onload", "onsubmit");		
			foreach ($carray as $fch) {
            			if (strstr($fcontents, $fch)) {
                			@unlink($tmpfilename);
					$message .= "{$mklib->lang['ga_notsup']}";
					$mklib->error_page($message);
                			exit;
            			}
        		}
        		if (preg_match("#script(.+?)/script#ies", $fcontents)) {
           			@unlink($tmpfilename);
				$message .= "{$mklib->lang['ga_notsup']}";
				$mklib->error_page($message);
            			exit;
        		}

			$query = $DB->query("SELECT id FROM mkp_gallery ORDER BY id DESC LIMIT 1");
			$row = $DB->fetch_row($query);
			$totr = $row['id'];
			++$totr;

			$image = "a_"."$totr"."$ext";

			//move file from "tmp" directory to "album" directory
			@rename($tmpfilename, "mkportal/modules/gallery/album/$evento/$image");
			if ($mklib->config['exif'] && $ext == '.jpg'){
				$exif = read_meta("mkportal/modules/gallery/album/$evento/$image");
				$sexif=serialize($exif);
			}

//---------------------- resize ---------------------
			if ($mklib->config['image_resizeto'] > 0){
				$Size=$mklib->config['image_resizeto'];
				$filepath="mkportal/modules/gallery/album/$evento/$image";
				static $gd_version_number = null;
		   		if ($gd_version_number === null) {
		       			ob_start();
		       			phpinfo(8);
		       			$module_info = ob_get_contents();
		       			ob_end_clean();
		       			if (preg_match("/\bgd\s+version\b[^\d\n\r]+?([\d\.]+)/i", $module_info,$matches)) {
		           			$gd_version_number = $matches[1];
					}
		   		}
				if ($gd_version_number) {
					//getting the image dimensions  
					$imgSrc = $source;
					$imgsize = GetImageSize($filepath);
					$width = $imgsize[0];
					$height = $imgsize[1];
					// Max height & Max width
					if($width > $Size || $height > $Size){ //big image

						if($width > $height && $width > $Size){ //horizontal image
			               			$new_width = $Size;
			               			$new_height = ceil($Size * $height / $width);                
			       			} else if ($width < $height && $height > $Size) { //vertical image
			               			$new_height = $Size;
			               			$new_width = ceil($Size * $width / $height);
			       			} 
						if (preg_match("/jpg|jpeg/",$imgsize['mime'])){$myImage= @ImageCreateFromJPEG($filepath);}  
						if (preg_match("/png/",$imgsize['mime'])){$myImage= @imagecreatefrompng($filepath);}  
						if (preg_match("/gif/",$imgsize['mime'])){$myImage= @imagecreatefromgif($filepath);}
						if ($myImage && $gd_version_number >= 2) {
							$foto=@ImageCreateTrueColor($new_width,$new_height);
						}
						if ($myImage && $gd_version_number < 2) {
							$foto = @ImageCreate($new_width,$new_height);
						}
						if ($foto) {
							@imagecopyresampled($foto,$myImage,0,0,0,0,$new_width,$new_height,ImageSX($myImage),ImageSY($myImage));
							ImageJPEG($foto,$filepath,$mklib->config['image_jpg_quality']); 
							imagedestroy($foto);
							imagedestroy($myImage);
						}
					}
				}
			}

//----------------------------end resize ------------------

		}

		if (!is_file ("mkportal/modules/gallery/album/$evento/$image")) {
			$message = "{$mklib->lang['ga_errorupl']}";
			$mklib->error_page($message);
			exit;
		}
		
		$cdata = time();
		$thumb = "t_$image";

		$validat = "1";
		$approval = $mklib->config['approval_gallery'];
		if ($approval == "2" || $approval == "3") {
			$validat = 0;
		}
		if($mkportals->member['g_access_cp']) {
			$validat = "1";
		}
// Meo Changed in C 0.1.b to extend thumb types 
		//if ($ext == "jpg") {
			$mklib->CreateImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$evento/$image", "mkportal/modules/gallery/album/$evento/$thumb");
		//}
// End
		//try to watermark image.
		if ($mklib->config['watermark_enable']) {
			$mklib->watermark("mkportal/modules/gallery/album/$evento/$image");
		}
		$peso = filesize("mkportal/modules/gallery/album/$evento/$image");

		$query="INSERT INTO mkp_gallery(evento, titolo, descrizione, file, autore, idauth, peso, data, validate, access_group, metadata)VALUES('$evento', '$titolo', '$descrizione', '$image', '$autore', '$idauth', '$peso', '$cdata', '$validat', '$access_group', '$sexif')";
		$DB->query($query);
		$query="UPDATE mkp_gallery_events SET updated ='$cdata' where id = '$evento'";
		$DB->query($query);
		
		if ($approval == "1") {
			$mailsubj = $mklib->lang['01mail'].$mklib->lang['gallery'];
			$mailmess = $mklib->lang['02mail'].$mklib->lang['module'].$mklib->lang['gallery']."\n".$mklib->lang['sender'].$autore."\n\n\n".$mklib->lang['from']." ".$mklib->sitename;
			$mklib_board->admin_mail($mailsubj, $mailmess);
		}
		if ($approval == "2" && !$mkportals->member['g_access_cp']) {
			$mailsubj = $mklib->lang['01mail'].$mklib->lang['gallery'];
			$mailmess = $mklib->lang['03mail'].$mklib->lang['module'].$mklib->lang['gallery']."\n".$mklib->lang['sender'].$autore."\n\n\n".$mklib->lang['from']." ".$mklib->sitename;
			$mklib_board->admin_mail($mailsubj, $mailmess);
			$mklib->message_page ($mklib->lang['notify_adv']);
			exit;
		}
		if ($approval == "3" && !$mkportals->member['g_access_cp']) {
			$mklib->message_page ($mklib->lang['notify_adv']);
			exit;
		}
		$this->update_total();
		$DB->close_db();

	 	Header("Location: index.php?ind=gallery&op=section_view&idev=$evento");
		exit;
		
  	}
	function edit_file() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;

		$iden = intval($mkportals->input['iden']);
		$query = $DB->query( "SELECT evento, titolo, descrizione, autore, idauth FROM mkp_gallery WHERE id = $iden");
		$row = $DB->fetch_row($query);
		if(!$row) {
            		$message = "{$mklib->lang['error_404']}";
            		$mklib->error_page($message);
            		exit;
		}
		$evento1 = $row['evento'];
		$titolo = $row['titolo'];
		$autore = $row['autore'];
		$idauth = $row['idauth'];
		$descrizione = $row['descrizione'];
		$descrizione = str_replace("<br />", "\n", $descrizione);

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery'] && (!$mklib->member['g_send_gallery'] || $mkportals->member['id'] != $idauth || $idauth == 0 )) {
			$message = "{$mklib->lang['ga_noautmodg']}";
			$mklib->error_page($message);
			exit;
		}
// Option evento
		
		$cselect = $this->row_select_upevent($evento1);
// Option evento
		$content .= "
		  <tr>
		    <td class=\"modulex\">
		    
		      <form action=\"index.php?ind=gallery&amp;op=update_file&amp;iden=$iden\" name=\"UPDATE\" method=\"post\">
		      <table width=\"100%\" border=\"0\">
			<tr>
			  <td>{$mklib->lang['ga_section']}</td>
			  <td>
			  <select class=\"bgselect\" name=\"evento\" size=\"1\">
			  {$cselect}
			  </select>
			  </td>
			</tr>
			<tr>
			  <td width=\"10%\">{$mklib->lang['ga_title']}</td>
			  <td width=\"90%\"><input type=\"text\" name=\"titolo\" value=\"$titolo\" size=\"52\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td width=\"10%\" valign=\"top\">{$mklib->lang['ga_des']}</td>
			  <td width=\"90%\"><textarea cols=\"50\" rows=\"10\" name=\"descrizione\" class=\"bgselect\">{$descrizione}</textarea></td>
			</tr>
			<tr>
			  <td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ga_save']}\" class=\"mkbutton\" /></td>
			</tr>
		      </table>
		      </form>
		    </td>
		  </tr>
		";

		$submit = "<script type=\"text/javascript\">
			function makesure2() {
			if (confirm('{$mklib->lang[ga_delimgconfirm]}')) {
			return true;
			} else {
			return false;
			}
			}
			</script> <a href=\"index.php?ind=gallery&amp;op=del_file&amp;iden=$iden\" onclick=\"return makesure2()\">[ {$mklib->lang[ga_delete]} ]</a> ";
// Link Navigation bar		
		list($navbar, $page_title) = $this->navbar($evento1);
		$navbar=$navbar.$mklib->lang['bc_sep']."<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$iden\">$titolo</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_modimg']}</a>";
		$page_title="{$mklib->lang['ga_modimg']}{$mklib->lang['tt_sep']}$titolo{$mklib->lang['tt_sep']}$page_title";
// Link Navigation bar		
		$maintit = $titolo;
		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_modimg']}", $output);
		$mklib->printpage("1", "1", $page_title.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->sitename, $blocks);
	}

	function update_file() {
    	global $mkportals, $DB, $mklib, $mklib_board;
		$iden= intval($mkportals->input['iden']);
		$newevento = intval($mkportals->input['evento']);
		$titolo = $mkportals->input['titolo'];
		$descrizione = $mkportals->input['descrizione'];

		$query = $DB->query("SELECT idauth, evento, file FROM mkp_gallery WHERE id = $iden");
		$row = $DB->fetch_row($query);
		$idauth = $row['idauth']; 
		$oldevento = $row['evento']; 
		$file_name=$row['file'];

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery'] && (!$mklib->member['g_send_gallery'] || $mkportals->member['id'] != $idauth || $idauth == 0 )) {
			$message = "{$mklib->lang['ga_noautmodg']}";
			$mklib->error_page($message);
			exit;
		}

		$DB->query("UPDATE mkp_gallery SET evento ='$newevento', titolo ='$titolo', descrizione ='$descrizione' where id = '$iden'");
		$DB->close_db();
		@rename("mkportal/modules/gallery/album/$oldevento/$file_name", "mkportal/modules/gallery/album/$newevento/$file_name");
		@rename("mkportal/modules/gallery/album/$oldevento/t_$file_name", "mkportal/modules/gallery/album/$newevento/t_$file_name");

		Header("Location: index.php?ind=gallery&op=foto_show&ida=$iden");
		exit;
  		}

	function del_file() {
    	global $mkportals, $DB, $mklib, $mklib_board;

		$iden= intval($mkportals->input['iden']);
		$query = $DB->query( "SELECT file, autore, idauth, evento FROM mkp_gallery WHERE id = $iden");
		$row = $DB->fetch_row($query);
		$file = $row['file'];
		$thumb = "t_$file";
		$autore = $row['autore'];
		$evento = $row['evento'];
		$idauth = $row['idauth'];
		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_mod_gallery'] && (!$mklib->member['g_send_gallery'] || $mkportals->member['id'] != $idauth || $idauth == 0 )) {
			$message = "{$mklib->lang['ga_nodelimg']}";
			$mklib->error_page($message);
			exit;
		}

		@unlink("mkportal/modules/gallery/album/$evento/$file");
		@unlink("mkportal/modules/gallery/album/$evento/$thumb");
		$DB->query("DELETE FROM mkp_gallery WHERE id = $iden");
		$DB->query("DELETE FROM mkp_gallery_comments WHERE identry = $iden");

		$evento = $row['evento'];
		$query = $DB->query( "SELECT data FROM mkp_gallery WHERE evento = '$evento' order by data desc limit 0,1");
		$row = $DB->fetch_row($query);
		$cdata=intval($row['data']);
		$query="UPDATE mkp_gallery_events SET updated ='$cdata' where id = '$evento'";
		$DB->query($query);


		$this->update_total();
		$DB->close_db();
	 	Header("Location: index.php?ind=gallery");
		exit;
  		}



	function retrieve_stat() {
			global $mkportals, $DB, $mklib, $mklib_board;
			$query = $DB->query( "SELECT id, titolo FROM mkp_gallery WHERE validate = '1' ORDER BY `click` DESC");
			$row = $DB->fetch_row($query);
			$id = $row['id'];
			$name = $row['titolo'];
			$visitato = "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id\">$name</a>";
			$count = $DB->get_num_rows($query);
			$query = $DB->query( "SELECT id, titolo FROM mkp_gallery WHERE validate = '1' ORDER BY `trate` DESC LIMIT 1");
			$row = $DB->fetch_row($query);
			$id = $row['id'];
			$name = $row['titolo'];
			$votato = "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id\">$name</a>";
			$query = $DB->query( "SELECT id, titolo FROM mkp_gallery WHERE validate = '1' ORDER BY `id` DESC LIMIT 1");
			$row = $DB->fetch_row($query);
			$id = $row['id'];
			$name = $row['titolo'];
			$ultima = "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id\">$name</a>";
			$output = "{$mklib->lang['ga_have']} $count {$mklib->lang['ga_totfile']}<br />{$mklib->lang['ga_mosts']} $visitato<br />{$mklib->lang['ga_mostv']} $votato<br />{$mklib->lang['ga_lastinsim']} $ultima";
			return $output;
		}

	function submit_postcard() {
		global $mkportals, $mklib, $Skin, $DB, $mklib_board;
		$ide= intval($mkportals->input['ide']);


		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_ecard']) {
			$message = "{$mklib->lang['ga_nosendecard']}";
			$mklib->error_page($message);
			exit;
		}

		$query = $DB->query( "SELECT id, evento, titolo, file FROM mkp_gallery WHERE id = '$ide' AND validate = '1'");
		$row = $DB->fetch_row($query);
		if(!$row) {
            		$message = "{$mklib->lang['error_404']}";
            		$mklib->error_page($message);
            		exit;
		}
		$t_id = $row['id'];
		$t_t = $row['titolo'];
		$t_ev1 = $row['evento'];
		$file = $row['file'];
		
// Link Navigation bar
		list($navbar, $page_title) = $this->navbar($t_ev1);
		$navbar=$navbar.$mklib->lang['bc_sep']."<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$t_id\">$t_t</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['gat_pcard']}</a>";
		$page_title="{$mklib->lang['gat_pcard']}{$mklib->lang['tt_sep']}$t_t{$mklib->lang['tt_sep']}$page_title";
// Link Navigation bar

	    $content .= "
		  <tr>
		    <td bgcolor=\"#ffffff\" align=\"center\">
		      <table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			  <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			</tr>
			<tr>
			  <td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>
			  <td width=\"98%\" bgcolor=\"#ffffff\" align=\"center\">
			    <p class=\"ecardtitle\">[{$mklib->lang['ga_title']}]</p>
			    <p align=\"right\">{$mklib->lang['ga_to']} [{$mklib->lang['ga_dest']}]</p>
			    <img src=\"mkportal/modules/gallery/album/$t_ev1/$file\" border=\"0\" alt=\"\" /><br /><br />
			    <p class=\"ecardtitle\">[{$mklib->lang['ga_youmess']}]</p>
			    <p align=\"right\">[{$mklib->lang['ga_you']}]</p>
			  </td>
			  <td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>
			</tr>
			<tr>
			  <td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			  <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"></td>
			  <td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			</tr>
		      </table>  		
		
		      <form action=\"index.php?ind=gallery&amp;op=preview_postcard\" name=\"editor\" method=\"post\" >
		      <table align=\"center\" border=\"0\" cellspacing=\"2\" cellpadding=\"0\" class=\"modulebg\">
			<tr>		
			  <td width=\"30%\" align=\"right\">{$mklib->lang['ga_title']}:</td>
			  <td align=\"left\">
			    <input type=\"hidden\" name=\"ide\" value=\"$ide\" />
			    <input type=\"text\" name=\"titlecard\" size=\"30\" class=\"bgselect\" />
			  </td>
			</tr>
			<tr>
			  <td width=\"30%\" align=\"right\">{$mklib->lang['ga_dest']}:</td>
			  <td align=\"left\"><input type=\"text\" name=\"dest\" size=\"30\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td width=\"30%\" align=\"right\">{$mklib->lang['ga_emaildest']}:</td>
			  <td align=\"left\"><input type=\"text\" name=\"emaildest\" size=\"30\" class=\"bgselect\" /></td>
			</tr>
			<tr>
			  <td width=\"30%\" align=\"right\">{$mklib->lang['ga_you']}:</td>
			  <td align=\"left\"><input type=\"text\" name=\"you\" size=\"30\" class=\"bgselect\" /><br /></td>
			</tr>
			<tr>
			  <td colspan=\"2\" align=\"center\">{$mklib->lang['ga_youmess']}</td>
			</tr>
			<tr>
			  <td width=\"70%\" align=\"left\" colspan=\"2\"><textarea cols=\"10\" style=\"width:95%\" rows=\"4\" name=\"ta\"></textarea></td>
			</tr>
			<tr>
			  <td colspan=\"2\" align=\"center\"><input type=\"submit\" name=\"submit\" value=\"{$mklib->lang['ga_ecardprev']}\" class=\"mkbutton\" accesskey=\"s\" /><br /></td>
			</tr>
		      </table>
		      </form>		
		
		    </td>
		  </tr>
	";
	$maintit = "$t_t";
	$stat = $this->retrieve_stat();
	$toolbar = "";
	$utonline = $mklib_board->get_active_users("gallery");
	$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
	$blocks = $Skin->view_block("{$mklib->lang['gat_pcard']}", $output);
	$mklib->printpage("1", "1", $page_title.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->sitename, $blocks);
	}

	function preview_postcard() {
		global $mkportals, $mklib, $Skin, $DB, $mklib_board;

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_ecard']) {
			$message = "{$mklib->lang['ga_nosendecard']}";
			$mklib->error_page($message);
			exit;
		}

		$ide= intval($mkportals->input['ide']);
		$titlecard= stripslashes($mkportals->input['titlecard']);
		$dest= $mkportals->input['dest'];
		$emaildest= $mkportals->input['emaildest'];
		$you= $mkportals->input['you'];
		$Post= stripslashes($mkportals->input['ta']);

  		if (!$titlecard || !$dest || !$emaildest || !$you || !$Post) {
			$message = "{$mklib->lang['ga_mustcompile']}";
			$mklib->error_page($message);
			exit;
		}

		$query = $DB->query( "SELECT id, evento, titolo, file FROM mkp_gallery WHERE id = '$ide' AND validate = '1'");
		$row = $DB->fetch_row($query);
		$t_id = $row['id'];
  		$t_t = $row['titolo'];
		$t_ev1 = $row['evento'];
		$file = $row['file'];

// Link Navigation bar
		list($navbar, $page_title) = $this->navbar($t_ev1);
		$navbar=$navbar.$mklib->lang['bc_sep']."<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$t_id\">$t_t</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['gat_pcard']}</a>";
		$page_title="{$mklib->lang['gat_pcard']}{$mklib->lang['tt_sep']}$t_t{$mklib->lang['tt_sep']}$page_title";
// Link Navigation bar

	   	$content .= "
		  <tr>
		    <td bgcolor=\"#ffffff\" align=\"center\">				
		      <table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			  <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			</tr>
			<tr>
			  <td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>
			  <td width=\"98%\" bgcolor=\"#ffffff\" align=\"center\">
			    <p align=\"center\"><big><b>$titlecard</big></b></p>
			    <p align=\"right\">{$mklib->lang['ga_to']} $dest </p>
			    <img src=\"mkportal/modules/gallery/album/$t_ev1/$file\" border=\"0\" alt=\"\" /></a><br /><br />
			    <p align=\"center\"><big><b>$Post</big></b></p>
			    <p align=\"right\">$you</p>
			  </td>
			  <td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>
			</tr>
			<tr>
			  <td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			  <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"></td>
			  <td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			</tr>
		      </table>
	   	   
		      <form action=\"index.php?ind=gallery&amp;op=send_postcard\" name=\"editor\" method=\"post\" >
		      <table width=\"100%\" border=\"0\" cellspacing=\"2\" cellpadding=\"0\" class=\"modulebg\">
			<tr>
			  <td align=\"center\">
			    <input type=\"hidden\" name=\"file\" value=\"$file\" />
			      <input type=\"hidden\" name=\"titlecard\" value=\"$titlecard\" />
			      <input type=\"hidden\" name=\"dest\" value=\"$dest\" />
			      <input type=\"hidden\" name=\"emaildest\" value=\"$emaildest\" />
			      <input type=\"hidden\" name=\"you\" value=\"$you\" />
			      <input type=\"hidden\" name=\"ta\" value=\"$Post\" />
			      <input type=\"submit\" name=\"submit\" value=\"{$mklib->lang['gat_pcard']}\" class=\"mkbutton\" accesskey=\"s\" /><br />
			    </td>
			  </tr>
			</table>
			</form>
			
		      </td>
		    </tr>
	";
	$maintit = "$t_t";
	$stat = $this->retrieve_stat();
	$toolbar = "";
	$utonline = $mklib_board->get_active_users("gallery");
	$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
	$blocks = $Skin->view_block("{$mklib->lang['gat_pcard']}", $output);
	$mklib->printpage("1", "1", $page_title.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->sitename, $blocks);
	}

	function send_postcard() {
		global $mkportals, $mklib, $Skin, $DB, $mklib_board;

		if(!$mkportals->member['g_access_cp'] && !$mklib->member['g_send_ecard']) {
			$message = "{$mklib->lang['ga_nosendecard']}";
			$mklib->error_page($message);
			exit;
		}
		$emaildest= $mkportals->input['emaildest'];

		$titolo= $mkportals->input['titlecard'];
		$file= $mkportals->input['file'];
		$destinatario= $mkportals->input['dest'];
		$mittente= $mkportals->input['you'];
		$emailmit = $mkportals->member['email'];
		$testo= $mkportals->input['ta'];
		$member = $mkportals->member['name'];
		$date = time();
		$code = rand(1, 9999);

		$query="INSERT INTO mkp_ecards (titolo, file, destinatario, mittente, emailmit, testo, member, date, code)VALUES('$titolo', '$file', '$destinatario', '$mittente', '$emailmit', '$testo', '$member', '$date', '$code')";
		$DB->query($query);

		$query = $DB->query("SELECT id FROM mkp_ecards WHERE code = '$code' ORDER BY `id` DESC LIMIT 1");
		$row = $DB->fetch_row($query);
		$ide = $row['id'];
		$url = "$mklib->siteurl/index.php?ind=gallery&op=postcard_view&ide=$ide&code=$code";

		$oggetto = $mklib->lang['ga_ecard'];
		$intestazione = "From:mkportal_ecard_service \nReply-To:$emailmit";
		$messaggio = "{$mklib->lang['ga_mailmsg1']}";
		$messaggio .= "$mittente ($emailmit) \n\n";
		$messaggio .= "{$mklib->lang['ga_mailmsg2']} \n";
		$messaggio .= "$url \n\n{$mklib->lang['ga_team']}";

		mail($emaildest, $oggetto, $messaggio, $intestazione);

		$output = "
		    <tr>
		      <td>
			<table class=\"moduleborder\" cellspacing=\"1\" cellpadding=\"0\" width=\"98%\" align=\"center\" border=\"0\">
			  <tr>
			    <td class=\"titadmin\" width=\"100%\" align=\"center\">
			    <br /><br />{$mklib->lang['ga_pcardsendok']}<br /><br /><br />
			    </td>
			  </tr>
			  <tr>
			    <td align=\"center\" class=\"modulecell\"><br /><br />
			    <div align=\"center\"><a href=\"http://www.mokro.us\" target=\"_blank\">xMKP Gallery</a> &copy; 2011 <a href=\"http://www.mokro.us\" target=\"_blank\">mokro.us</a></div>
			    </td>
			  </tr>
			</table>
		      </td>
		    </tr>
		";

		$blocks = $Skin->view_block("{$mklib->lang['gat_pcard']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$titolo.$mklib->lang['tt_sep'].$mklib->lang['gat_pcard'], $blocks);
	}


	function postcard_view() {
		global $mkportals, $mklib, $Skin, $DB, $mklib_board;
		$ide= intval($mkportals->input['ide']);
		$code= $mkportals->input['code'];

		if(!$code) {
			$message = "{$mklib->lang['ga_nopcard']}.";
			$mklib->error_page($message);
			exit;
		}

		$query = $DB->query( "SELECT mkp_ecards.titolo, mkp_ecards.file, destinatario, mittente, emailmit, testo, member, date, evento FROM mkp_ecards left join mkp_gallery on mkp_ecards.file=mkp_gallery.file WHERE mkp_ecards.id = '$ide' and code = '$code'");
		$row = $DB->fetch_row($query);

		$file = $row['file'];
		$evento = $row['evento'];
		if(!$file) {
			$message = "{$mklib->lang['ga_nopcard']}.";
			$mklib->error_page($message);
			exit;
		}
		$row['testo'] = stripslashes($row['testo']);
		$row['testo'] = str_replace("&lt;br /&gt;", "<br />", $row['testo']);
		$row['titolo'] = stripslashes($row['titolo']);
// Link Navigation bar
	   	$navbar = "{$mklib->lang['ga_ecard']}";
// Link Navigation bar
	   	$content .= "
		    <tr>
		      <td bgcolor=\"#ffffff\" align=\"center\">
		      
			<table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\">
			  <tr>
			    <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			    <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			    <td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  </tr>
			  <tr>
			    <td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>
			    <td width=\"98%\" bgcolor=\"#ffffff\" align=\"center\">
			      <p class=\"ecardtitle\">{$row['titolo']}</p>
			      <p align=\"right\">{$mklib->lang['ga_to']} {$row['destinatario']}</p>
			      <img src=\"mkportal/modules/gallery/album/$evento/$file\" border=\"0\" alt=\"\" /><br /><br />
			      <p class=\"ecardtitle\">{$row['testo']}</p>
			      <p align=\"right\">
			      {$row['mittente']} ({$row['emailmit']})<br />{$row['member']}</p>
			    </td>
			    <td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>
			  </tr>
			  <tr>
			    <td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			    <td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"></td>
			    <td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>
			  </tr>
			</table>
			
		      </td>
		    </tr>
	";
	// delete ecard older than 1 month
	$old = (time() - (86400*30));


	$DB->query("DELETE FROM mkp_ecards WHERE date < $old");
	$maintit = "{$row['titolo']}";
	$stat = $this->retrieve_stat();
	$toolbar = "";
	$utonline = $mklib_board->get_active_users("gallery");
	$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
	$blocks = $Skin->view_block("{$row['destinatario']}", $output);
	$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$row['titolo'].$mklib->lang['tt_sep'].$mklib->lang['ga_ecard'], $blocks);
	}



	function slide_start() {
		global $mkportals, $mklib, $Skin, $DB, $mklib_board;
		$ide= intval($mkportals->input['ide']);
		$cat = intval($mkportals->input['cat']);
		
		$cselect = "<option value=\"$idevento\">{$mklib->lang['ga_schannel']}</option>\n";
		$cselect .= $this->row_select_event($cat);

// Link Navigation bar	   	
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_slide']}</a>";
// Link Navigation bar	
 	
		$content .= "
		    <tr>
		      <td bgcolor=\"#ffffff\" align=\"center\">

			<table border=\"0\" width=\"600\" cellspacing=\"0\" cellpadding=\"0\">
			  <tr>
			    <td width=\"100%\"><img src=\"$mklib->images/sl_top.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>
			  </tr>
			  <tr>
			    <td width=\"100%\">
			      <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
				<tr>
				  <td width=\"1%\" style=\"background-image: url('$mklib->images/sl_sx.gif');\"><img src=\"$mklib->images/sl_sx.gif\" width=\"48\" height=\"24\" alt=\"\" /></td>
				  <td width=\"98%\" bgcolor=\"#595e61\" align=\"center\">
				    <iframe src=\"index.php?ind=gallery&amp;op=slide_update&amp;ide=0&amp;cat=$cat\" frameborder=\"0\" width=\"490\" align=\"middle\" height=\"450\" scrolling=\"auto\"></iframe>
				  </td>
				  <td width=\"1%\" style=\"background-image: url('$mklib->images/sl_dx.gif');\"><img src=\"$mklib->images/sl_dx.gif\" width=\"60\" height=\"20\" alt=\"\" /></td>
				</tr>
			      </table>
			    </td>
			  </tr>
			  <tr>
			    <td width=\"100%\">
			
			      <form action=\"index.php?ind=gallery&amp;op=slide_start\" name=\"START\" method=\"post\" >
			      <table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
				<tr>
				  <td width=\"1%\"><img src=\"$mklib->images/sl_bot_sx.gif\" width=\"88\" height=\"78\" style=\"vertical-align: top\" alt=\"\" /></td>
				  <td width=\"98%\" style=\"background-image: url('$mklib->images/sl_bot.gif');\" valign=\"middle\" align=\"left\">&nbsp;&nbsp;&nbsp;
				    <select name=\"cat\" size=\"1\" class=\"bgselect\">
				    $cselect
				    </select>
				    &nbsp;&nbsp;&nbsp;
				    <input type=\"image\" src=\"$mklib->images/sl_play.gif\" align=\"middle\" style=\"border: 0px;\" />
				    &nbsp;&nbsp;
				    <a href=\"index.php?ind=gallery&amp;op=slide_start\"><img src=\"$mklib->images/sl_stop.gif\" align=\"middle\" border=\"0\" alt=\"\" /></a>
				  </td>
				  <td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/sl_bot_dx.gif\" width=\"98\" height=\"78\" style=\"vertical-align: top\" alt=\"\" /></td>
				</tr>
			      </table>
			      </form>
			    
			    </td>
			  </tr>
			</table>		      
		      </td>
		    </tr>
	";
	$maintit = "{$mklib->lang['ga_slide']}";
	$stat = $this->retrieve_stat();
	$toolbar = "";
	$utonline = $mklib_board->get_active_users("gallery");
	$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
	$blocks = $Skin->view_block("{$mklib->lang['ga_slide']}", $output);
	$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_slide'], $blocks);
	}
	function slide_update() {
 		global $mkportals, $DB, $std, $Skin, $mklib, $mklib_board;

		$ide= intval($mkportals->input['ide']);
		$cat = intval($mkportals->input['cat']);

		if(!$cat) {
			exit;
		}

		$query = $DB->query( "SELECT id, titolo, file FROM mkp_gallery WHERE id > $ide AND evento = $cat AND validate = '1' ORDER BY id LIMIT 1");
		$row = $DB->fetch_row($query);
		$file = $row['file'];
		$id = $row['id'];
		if(!$id) {
			exit;
		}
		$image_details = @getimagesize("$mklib->sitepath/mkportal/modules/gallery/album/$cat/$file");
		$imagesize_x = $image_details[0];
		if($imagesize_x > 480) {
			$size = $mklib->ResizeImage(480,"$mklib->sitepath/mkportal/modules/gallery/album/$cat/$file");
			$dims = "width=\"488\" height=\"$size[1]\"";
		}
		$output = "
<head>
<meta http-equiv=\"refresh\" content=\"5;url=$mklib->siteurl/index.php?ind=gallery&op=slide_update&ide=$id&cat=$cat\">
</head>
<body bgcolor=\"#595E61\" style=\"margin: 0px\">
  <div align=\"center\">
  <table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" height=\"100%\">
    <tr>
      <td align=\"center\" width=\"100%\" height=\"100%\" valign=\"middle\">
      <a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$id\" target=\"_top\"><img src=\"mkportal/modules/gallery/album/$cat/$file\" border=\"0\" align=\"center\" $dims alt\"\" /></a>
      <br><span style=\"font-family: verdana; font-size: 12pt; font-weight: bold; color: #ffffff;\">{$row['titolo']}</span>
      </td>
    </tr>
  </table>
  </div>
</body>";
		print $output;
		$DB->close_db();
		exit;

 	}

		function search() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;
		$maintit = "{$mklib->lang['ga_searchf']}";
		$cselect.= "<option value='1'>{$mklib->lang['ga_title']}</option>\n";
		$cselect.= "<option value='2'>{$mklib->lang['ga_des']}</option>\n";
		$content .= "
		    <tr>
		      <td>
		      
			<form action=\"index.php?ind=gallery&amp;op=result_search\" name=\"search\" method=\"post\">
			<table width=\"100%\" border=\"0\">
			  <tr>
			    <td>{$mklib->lang['ga_searchin']}</td>
			    <td>
			      <select class=\"bgselect\" name=\"campo\" size=\"1\">
			      {$cselect}
			      </select>
			    </td>
			  </tr>
			  <tr>
			    <td width=\"20%\">{$mklib->lang['ga_searchtext']}</td>
			    <td width=\"80%\"><input type=\"text\" name=\"testo\" size=\"52\" class=\"bgselect\" /></td>
			  </tr>
			  <tr>
			    <td colspan=\"2\"><input type=\"submit\" value=\"{$mklib->lang['ga_searchstart']}\" class=\"mkbutton\" /></td>
			  </tr>
			</table>
			</form>
			
		      </td>
		    </tr>
		";
// Link Navigation bar
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_searchf']}</a>";
// Link Navigation bar		
		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_imggal']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_searchstart'], $blocks);

	}

	function result_search() {
		global $mkportals, $DB, $mklib, $Skin, $mklib_board;
		//$campo = $mkportals->input['campo']; //deprecated
		$testo = $mkportals->input['testo'];
		$campo = "titolo"; //This is a database table row name - Do not translate!
		if (intval($mkportals->input['campo']) == 2) {
			$campo = "descrizione"; //This is a database table row name - Do not translate!
		}
		if (!$testo) {
			$message = "{$mklib->lang['ga_reqstring']}";
			$mklib->error_page($message);
			exit;
		}
// Link Navigation bar
		$navbar = "<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$mklib->lang['bc_sep']}<a href=\"index.php?ind=gallery&amp;op=search\">{$mklib->lang['ga_search']}</a>{$mklib->lang['bc_sep']}<a href=\"#\">{$mklib->lang['ga_searchresult']}</a>";
// Link Navigation bar
		$maintit = "{$mklib->lang['ga_searchresult']}";
		//$content = $this->tpl->row_main_category();

		$query = $DB->query( "SELECT id, evento, titolo, descrizione, file, peso FROM mkp_gallery WHERE $campo LIKE '%$testo%' AND validate = '1'");
		$content.= "
		    <tr>
		      <td colspan=\"6\" bgcolor=\"#ffffff\">
			<table border=\"0\" width=\"100%\" cellspacing=\"0\" cellpadding=\"0\">
			  <tr>
			  ";
		$index = 0;
		while( $row = $DB->fetch_row($query) ) {
			$idfoto = $row['id'];
			$evento = $row['evento'];
			$titolo = $row['titolo'];
			$descrizione = $row['descrizione'];
			$file = $row['file'];
			$thumb = "t_$file";
			//$peso = "(".round(($row['peso']/1024),2)." K)";
			$content.= "<td align=\"center\" valign=\"bottom\">";
			$content.= "<table border=\"0\" width=\"100\" cellspacing=\"0\" cellpadding=\"0\">";
  			$content.= "<tr>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_sx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_s.gif'); font-size: 4px;\"><img src=\"$mklib->images/a_sf_s.gif\" height=\"8\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
    			$content.= "<td width=\"1%\" style=\"font-size: 4px;\"><img src=\"$mklib->images/a_dx_a.gif\" style=\"vertical-align: bottom\" alt=\"\" /></td>";
  			$content.= "</tr><tr>";
    			$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_sx_s.gif');\"><img src=\"$mklib->images/a_sx_s.gif\" width=\"11\" height=\"15\" alt=\"\" /></td>";
    			$content.= "<td width=\"98%\" bgcolor=\"#ffffff\" align=\"center\">";
			//Thumbnail & title
			if (!file_exists("mkportal/modules/gallery/album/$evento/$thumb")) {
  				$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$evento/$file");
				$content.= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\"><img src=\"mkportal/modules/gallery/album/$evento/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><br />$titolo<br /> ";
			} else {
				$content.= "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=$idfoto\"><img src=\"mkportal/modules/gallery/album/$evento/$thumb\" border=\"0\" alt=\"{$mklib->lang['ga_czoom']}\" /></a><br />$titolo<br /> ";
			}
			$content.= "</td>";
   			$content.= "<td width=\"1%\" style=\"background-image: url('$mklib->images/a_dx_s.gif');\"><img src=\"$mklib->images/a_dx_s.gif\" width=\"11\" height=\"14\" alt=\"\" /></td>";
  			$content.= "</tr><tr>";
    		$content.= "<td width=\"1%\"><img src=\"$mklib->images/a_sx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
    		$content.= "<td width=\"98%\" style=\"background-image: url('$mklib->images/a_sf_g.gif');\"></td>";
    		$content.= "<td width=\"1%\" valign=\"top\"><img src=\"$mklib->images/a_dx_g.gif\" height=\"22\" style=\"vertical-align: top\" alt=\"\" /></td>";
  			$content.= "</tr></table>";
			$content.= "</td>";
			++ $index;
			if ($index == 3) {
				$index = 0;
				$content.= "</tr>";
				$content.= "<tr>";
			}

		}
		$content.= "</tr></table>";
		if (!$idfoto) {
			$content = "<td align=\"center\" width=\"100%\" class=\"modulecell\"><br />{$mklib->lang['ga_searchnot']}<br /><br /><br /></td>";
		}
		$content.= "</td></tr>";
		$submit = "";
		$stat = $this->retrieve_stat();
		$toolbar = "";
		$utonline = $mklib_board->get_active_users("gallery");
		$output  = $this->tpl->gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $show_pages, $utonline);
		$blocks = $Skin->view_block("{$mklib->lang['ga_imggal']}", $output);
		$mklib->printpage("1", "1", $mklib->sitename.$mklib->lang['tt_sep'].$mklib->lang['ga_imggal'].$mklib->lang['tt_sep'].$mklib->lang['ga_searchresult'], $blocks);
	}

	function show_emoticons()
 	{
		global $mklib_board;
		$mklib_board->show_emoticons();
 	}
 	
// Link Navigation bar
	function navbar($idevento) {
	global $DB, $mklib;
		while ( $idevento > 0 ) {
			//$query = $DB->query( "SELECT id, father, evento FROM mkp_gallery_events where id = '$idevento' ORDER BY `id`");
        		//$row = $DB->fetch_row($query);
			foreach ($this->cache_sections as $row) {
				if ($row['id'] == $idevento) {
        			$dev = $row['id'];
        			$evento = $row['evento'];
        			$space = "{$mklib->lang['bc_sep']}<a href=\"index.php?ind=gallery&amp;op=section_view&amp;idev=$dev\">$evento</a>{$space}";
        			$title = "$title{$mklib->lang['tt_sep']}$evento";
				$idevento = $row['father'];
				}
			}
		}
		if (!$idevento){
		return array("<a href=\"index.php?ind=gallery\">{$mklib->lang['ga_mkpgal']}</a>{$space}", substr($title,3));
		}
	}
		function row_select_event($sel) {
			global $mkportals, $DB, $mklib;
			if ($mklib->config['hidedenied']) {
				$wherehd = "where access_group in(-10,".implode(",",$mkportals->member['mgroup']).")";
			}

			$chache_sections = array();
			//load cache
			$DB->query( "SELECT id, evento, father FROM mkp_gallery_events $wherehd ORDER BY `id`");
			while( $row = $DB->fetch_row() ) {
            			$chache_sections[] = $row;
       	 		}
			
			$listall = array();
			$children = array();
			foreach ($chache_sections as $row) {
				if ($row['father']) {
					$children[ $row['father'] ][] = $row;
				}
			}
			foreach ($chache_sections as $row) {
				$idevento = $row['id'];
				$evento = substr($row['evento'],0,70);
				$father = $row['father'];
				if (!in_array($idevento, $listall) && !$row['father']) {
					if ($idevento==$sel){
						$cselect.= "<option value=\"$idevento\" selected>$evento</option>\n";
					}else{
						$cselect.= "<option value=\"$idevento\">$evento</option>\n";
					}
					$listall[] = $idevento;
				}
				$pref = "|";
				if (count($children[$idevento]) > 0) {
					foreach($children[$idevento] as $row3) {
						$pref = "|--";
						if (!in_array($row3['id'], $listall)) {
							$evento3 = substr($row3['evento'],0,70);
							if ($row3[id]==$sel){
								$cselect.= "<option value=\"$row3[id]\" selected>$pref $evento3</option>\n";
							}else{
								$cselect.= "<option value=\"$row3[id]\">$pref $evento3</option>\n";
							}

							$listall[] = $row3['id'];
						}
						$idevento = $row3['id'];
						while ($idevento) {
				   			$pref .= "--";
				   			$newfather = "";
				   			reset ($chache_sections);
				   			foreach ($chache_sections as $row2) {
								if ($idevento == $row2['father']) {
									$newfather = $row2['id'];
									if (!in_array($row2['id'], $listall)) {
										$evento2 = substr($row2['evento'],0,70);
										if ($row2[id]==$sel){
											$cselect.= "<option value=\"{$row2['id']}\" selected>$pref $evento2</option>\n";
										}else{
											$cselect.= "<option value=\"{$row2['id']}\">$pref $evento2</option>\n";
										}
										$listall[] = $row2['id'];
									}
								}
				   			}
				   		$idevento = $newfather;
				 		}
				
					}
				}
			
			}
			return $cselect;
			
		}

	function row_select_upevent($sel) {
			global $mkportals, $mklib;
			if ($mkportals->member['id']) {
				$uname = $mkportals->member['name'];
			}
			//$query = $DB->query( "SELECT id, evento, father FROM mkp_download_sections ORDER BY `id`");
			//while( $row = $DB->fetch_row($query) ) {
			$listall = array();
			$children = array();
			if (!$this->cache_sections) {
				return FALSE;
			}
			foreach ($this->cache_sections as $row) {
				if ($row['uname']==$uname || $row['uname']=="") {
					if ($row['father']) {
						$children[ $row['father'] ][] = $row;
					}
				}
			}
			
			foreach ($this->cache_sections as $row) {
				$idevento = $row['id'];
				$evento = $row['evento'];
				$father = $row['father'];

				if ($row['uname']==$uname || $row['uname']=="") {
					if (!in_array($idevento, $listall) && !$row['father']) {
						if ($idevento==$sel){
							$cselect.= "<option value=\"$idevento\" selected>$evento</option>\n";
						}else{
							$cselect.= "<option value=\"$idevento\">$evento</option>\n";
						}

						$listall[] = $idevento;
					}
				}
				$pref = "|";
				if (count($children[$idevento]) > 0) {
					foreach($children[$idevento] as $row3) {
						$pref = "|--";
						
						if (!in_array($row3['id'], $listall)) {
							if ($row3[id]==$sel){
								$cselect.= "<option value=\"$row3[id]\" selected>$pref $row3[evento]</option>\n";
							}else{
								$cselect.= "<option value=\"$row3[id]\">$pref $row3[evento]</option>\n";
							}

							$listall[] = $row3['id'];
						}
						$idevento = $row3['id'];
						while ($idevento) {
				   			$pref .= "--";
				   			$newfather = "";
				   			reset ($this->cache_sections);
				   			foreach ($this->cache_sections as $row2) {
								if ($idevento == $row2['father']) {
									$newfather = $row2['id'];

									if (!in_array($row2['id'], $listall)) {
										if ($row2[id]==$sel){
											$cselect.= "<option value=\"{$row2['id']}\" selected>$pref {$row2['evento']}</option>\n";
										}else{
											$cselect.= "<option value=\"{$row2['id']}\">$pref {$row2['evento']}</option>\n";
										}
										$listall[] = $row2['id'];
									}
								}
				   			}
				   		$idevento = $newfather;
				 		}
				
					}
				}
			
			}
			return $cselect;
	
		}


	
	function row_categories($father, $order, $start, $per_page, $filternew) {
	global $DB, $mklib, $mkportals;
	
	if ($mklib->config['hidedenied']) {
		$wherehd = "and access_group in(-10,".implode(",",$mkportals->member['mgroup']).")";
	}
	$start=intval($start);     
	if ($filternew) {
	        $filterurl="&amp;filter=new";
		$ndata = time() - $mklib->config['shownew']*86400;
		$wherepage="where updated > $ndata $wherehd";
		$query = $DB->query( "SELECT id, evento, uname, updated, access_group FROM mkp_gallery_events $wherepage $order LIMIT $start, $per_page");
	} else {

		if($father > 0 ){
			$query = $DB->query( "SELECT id, evento, uname, updated, access_group FROM mkp_gallery_events WHERE father = '$father' $wherehd  $order LIMIT $start, $per_page");
			if($DB->get_num_rows($query)) {
				if (!$mklib->config['compactview']){
					$content = $this->tpl->row_main_category();
				}
			}
		} else {
			$query = $DB->query( "SELECT id, evento, uname, updated, access_group FROM mkp_gallery_events WHERE father = '$father' $wherehd $order LIMIT $start, $per_page");
    		}
	}
if ($mklib->config['compactview']){
//--------------------------------------------------------------------  
$content .="<tr><td class=\"modulecell\"><table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\"><tr>";
$i=0;
//--------------------------------------------------------------------  
}

		while( $row = $DB->fetch_row($query) ) {
			$idevento = $row['id'];
			$evento = $row['evento'];
			$uname = $row['uname'];
			$access_group = $row['access_group'];
			$updated = $mklib->create_date($row['updated'], "short");
$gaccess=1;
if ($access_group != -10 && !$mkportals->member['g_access_cp']) {
	$gaccess=0;
	foreach ($mkportals->member['mgroup'] as $gid => $gidval)
	{
		if ($gidval==$access_group) {
			$gaccess=1;
		}
	}      	
}

if ($mklib->config['shownew']){
	$cdata = time();
	if (($cdata - $row['updated'])/86400 <= $mklib->config['shownew']){
		$newimg="<img src=/mkportal/modules/gallery/images/new.png width=24 height=13>";
	} else {
		$newimg="<img src=/mkportal/modules/gallery/images/spacer.gif width=24 height=13>";
	}
}
			//$countsub = $DB->get_num_rows($DB->query("SELECT id FROM mkp_gallery_events  WHERE father = '$idevento' ORDER BY `id`"));
			$countsub = 0;
		        $subfcount=0;
		        $count=0;
		        foreach ($this->cache_sections as $cat) {
				if ($cat['father'] == $idevento) {
			               ++$countsub;
		                    foreach ($this->cache_files as $subcat) {
		                        if ($subcat['evento'] == $cat['id']) {
		                            ++$subfcount;
		                        }
		                    }
		                }    
		            }
		        $count = $subfcount;
			foreach ($this->cache_files as $cat) {
				if ($cat['evento'] == $idevento) {
					++$count;
				}	
			}
			
			$foto = array();
			foreach ($this->cache_files as $cat) {
			    if ($cat['evento'] == $idevento) {
			    	$foto['id'] = $cat['id'];
				$foto['titolo'] = $cat['titolo'];
				$foto['file'] = $cat['file'];
			    }
			}
	
			if ($gaccess) {
				$titolo = "<a href=\"index.php?ind=gallery&amp;op=foto_show&amp;ida=".$foto['id']."$filterurl\">".$foto['titolo']."</a>";
				$file = $foto['file'];
				$thumb = "t_$file";

				if (!file_exists("mkportal/modules/gallery/album/$idevento/$thumb")) {
  					$thumb_mes = $mklib->ResizeImage($mklib->config['thumb_max_dimen'],"mkportal/modules/gallery/album/$idevento/$file");
					$image = "<a href=\"index.php?ind=gallery&amp;op=section_view&amp;idev=$idevento$filterurl\"><img src=\"mkportal/modules/gallery/album/$idevento/$file\" border=\"0\" width=\"$thumb_mes[0]\" height=\"$thumb_mes[1]\" alt=\"\" /></a>";
				} else {
					$image = "<a href=\"index.php?ind=gallery&amp;op=section_view&amp;idev=$idevento$filterurl\"><img src=\"mkportal/modules/gallery/album/$idevento/$thumb\" border=\"0\" alt=\"\" /></a>";
				}
				$name = "<a href=\"index.php?ind=gallery&amp;op=section_view&amp;idev=$idevento$filterurl\">$evento</a>";
				if($count == 0 || !$file) {
					$image = "<img src=\"mkportal/modules/gallery/album/a_no_image.gif\" border=\"0\" alt=\"\" />";
        			}
				if($count != 0 && !$file) {
					$image = "<a href=\"index.php?ind=gallery&amp;op=section_view&amp;idev=$idevento$filterurl\"><img src=\"mkportal/modules/gallery/images/subgal.jpg\" border=\"0\" alt=\"\" /></a>";
        			}

			} else {
				$thumb = "";
				$titolo = $foto['titolo'];
				$image = "<img src=\"mkportal/modules/gallery/images/t_ad.jpg\" border=\"0\" alt=\"\" />";
				$name = $evento;
			}
if ($mklib->config['compactview']){
//--------------------------------------------------------------------  
$content .="<td align=center>";
if($count != 0 && $thumb != "a_no_image.gif"){
$content .="<table class=\"table-shadows\" cellspacing=0 cellpadding=0>
<tr><td align=center>$newimg</td></tr>
  <tr>
    <td class=\"td-shadows-main\">
$image
    </td>
    <td class=\"td-shadows-right\">&nbsp;</td>
  </tr>
  <tr>
    <td class=\"td-shadows-bottom\">&nbsp;</td>
    <td class=\"td-shadows-bottomright\">&nbsp;</td>
  </tr>
</table>";
} else {
$content .="$image";
}
$content .="</td><td align=left>$name<br>{$mklib->lang['gat_images']}: $count<br>{$mklib->lang['gat_subcat']}: $countsub<br>{$mklib->lang['gat_user']}: $uname<br>{$mklib->lang['gat_lentry']}: $updated</td>";
$i++;
	if ($i%2==0) { 
	$content.= "</tr><tr>";
	}
//--------------------------------------------------------------------  
} else {
//-------------------------------------------------------------------- ⠭ 
				$content .= $this->tpl->row_main_category_content($name, $image, $descrizione, $count, $titolo, $countsub, $uname, $newimg);
//-------------------------------------------------------------------- ⠭ 
}
		}
if ($mklib->config['compactview']){
//--------------------------------------------------------------------  
$content .="</tr></table></td></tr>";
//--------------------------------------------------------------------  
}


	 	if(!$idevento) {
			return false;
		}
		return $content;
	}
	

	function update_total() {
		global $DB;
		$query = $DB->query( "SELECT id FROM mkp_gallery WHERE validate = '1'");
		$count = $DB->get_num_rows($query);
		$DB->query("UPDATE mkp_stat SET valore ='$count' WHERE chiave = 'tot_gallery'");
	
	}
	
}
?>