<?php
/*
+--------------------------------------------------------------------------
|   xMKP Gallery 2.5
|   http://www.mokro.us
+--------------------------------------------------------------------------
*/


function massupload($upsid, $editurl) {
global $mkportals, $mklib; 

if ($mklib->config['max_upload_mass']){
	$maxupmass="fileListMax: '{$mklib->config['max_upload_mass']}',";
}
return <<<EOF

<link rel="stylesheet" type="text/css" href="/mkportal/modules/gallery/uploader/style.css" />
<script type="text/javascript" src="/mkportal/modules/gallery/uploader/mootools.js"></script>
<script type="text/javascript" src="/mkportal/modules/gallery/uploader/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/mkportal/modules/gallery/uploader/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/mkportal/modules/gallery/uploader/Lang.js"></script>
<script type="text/javascript" src="/mkportal/modules/gallery/uploader/FancyUpload2.js"></script>


	<script type="text/javascript">
		//<![CDATA[

		/**
 * FancyUpload Showcase
 *
 * @license		MIT License
 * @author		Harald Kirschner <mail [at] digitarald [dot] de>
 * @copyright	Authors
 */

window.addEvent('domready', function() { // wait for the content

	// our uploader instance 
	
	var up = new FancyUpload2($('xmkp-status'), $('xmkp-list'), { // options object
		// we console.log infos, remove that in production!!
		verbose: true,
		
		// url is read from the form, so you just have to change one place
		url: $('form-xmkp').action,
		
		// path to the SWF file
		path: '/mkportal/modules/gallery/uploader/Swiff.Uploader.swf',
		
		// remove that line to select all files, or edit it, add more items
		typeFilter: {
			'Images (*.jpg, *.jpeg, *.gif, *.png)': '*.jpg; *.jpeg; *.gif; *.png'
		},
		
		// this is our browse button, *target* is overlayed with the Flash movie
		target: 'xmkp-browse',
		
		$maxupmass

		// graceful degradation, onLoad is only called if all went well with Flash
		onLoad: function() {
			$('xmkp-status').removeClass('hide'); // we show the actual UI
			$('xmkp-fallback').destroy(); // ... and hide the plain form
			
			// We relay the interactions with the overlayed flash to the link
			this.target.addEvents({
				click: function() {
					return false;
				},
				mouseenter: function() {
					this.addClass('hover');
				},
				mouseleave: function() {
					this.removeClass('hover');
					this.blur();
				},
				mousedown: function() {
					this.focus();
				}
			});

			// Interactions for the 2 other buttons
			
			$('xmkp-clear').addEvent('click', function() {
				up.remove(); // remove all files
				return false;
			});

			$('xmkp-upload').addEvent('click', function() {
				up.start(); // start upload
				return false;
			});
		},
		
		// Edit the following lines, it is your custom event handling
		
		/**
		 * Is called when files were not added, "files" is an array of invalid File classes.
		 * 
		 * This example creates a list of error elements directly in the file list, which
		 * hide on click.
		 */ 
		onSelectFail: function(files) {
			files.each(function(file) {
				new Element('li', {
					'class': 'validation-error',
					html: file.validationErrorMessage || file.validationError,
					title: MooTools.lang.get('FancyUpload', 'removeTitle'),
					events: {
						click: function() {
							this.destroy();
						}
					}
				}).inject(this.list, 'top');
			}, this);
		},

//-------------------------

	onComplete: function() {
		this.status.removeClass('file-uploading');
		if (this.size) {
			this.overallProgress.start(100);
			window.location="$editurl";

		} else {
			this.overallProgress.set(0);
			this.currentProgress.set(0);
		}
		
	},


//-------------------------

		
		/**
		 * This one was directly in FancyUpload2 before, the event makes it
		 * easier for you, to add your own response handling (you probably want
		 * to send something else than JSON or different items).
		 */
		onFileSuccess: function(file, response) {
			var json = new Hash(JSON.decode(response, true) || {});
			
			if (json.get('status') == '1') {
				file.element.addClass('file-success');
//				file.info.set('html', '<strong>Image was uploaded:</strong> ' + json.get('width') + ' x ' + json.get('height') + 'px, <em>' + json.get('mime') + '</em>)');
				file.info.set('html', '<strong>Image was uploaded.</strong> ');
			} else {
				file.element.addClass('file-failed');
//				file.info.set('html', '<strong>An error occured:</strong> ' + (json.get('error') ? (json.get('error') + ' #' + json.get('code')) : response));
				file.info.set('html', '<strong>An error occured:</strong> ' + (json.get('error') ? (json.get('error')) : response));
			}
		},
		
		/**
		 * onFail is called when the Flash movie got bashed by some browser plugin
		 * like Adblock or Flashblock.
		 */
		onFail: function(error) {
			switch (error) {
				case 'hidden': // works after enabling the movie and clicking refresh
					alert('To enable the embedded uploader, unblock it in your browser and refresh (see Adblock).');
					break;
				case 'blocked': // This no *full* fail, it works after the user clicks the button
					alert('To enable the embedded uploader, enable the blocked Flash movie (see Flashblock).');
					break;
				case 'empty': // Oh oh, wrong path
					alert('A required file was not found, please be patient and we fix this.');
					break;
				case 'flash': // no flash 9+ :(
					alert('To enable the embedded uploader, install the latest Adobe Flash plugin.')
			}
		}
		
	});
	
});
		//]]>
	</script>







	<div class="container">

		<!-- See index.html -->
		<div>
			<form action="/mkportal/modules/gallery/uploader/upload.php?upsid=$upsid" method="post" enctype="multipart/form-data" id="form-xmkp">

	<fieldset id="xmkp-fallback">
		<legend>File Upload</legend>
		<p>
			This form is just an example fallback for the unobtrusive behaviour of FancyUpload.
			If this part is not changed, something must be wrong with your code.
		</p>
		<label for="xmkp-photoupload">
			Upload a Photo:
			<input type="file" name="Filedata" />
		</label>
	</fieldset>

	<div id="xmkp-status" class="hide">
		<p>
			<a href="#" id="xmkp-browse">{$mklib->lang['ga_browse']}</a> |
			<a href="#" id="xmkp-clear">{$mklib->lang['ga_clearlist']}</a> |
			<a href="#" id="xmkp-upload">{$mklib->lang['ga_startup']}</a>
		</p>
		<div>
			<strong class="overall-title"></strong><br />
			<img src="/mkportal/modules/gallery/uploader/bar.gif" class="progress overall-progress" />
		</div>
		<div>
			<strong class="current-title"></strong><br />
			<img src="/mkportal/modules/gallery/uploader/bar.gif" class="progress current-progress" />
		</div>
		<div class="current-text"></div>
	</div>

	<ul id="xmkp-list"></ul>

</form>		</div>


	</div>




EOF;
}



class tpl_gallery {



function gallery_show($navbar, $maintit, $content, $submit, $stat, $toolbar, $pages, $utonline) {
global $mkportals, $mklib;
return <<<EOF

<tr>
  <td>
<script type="text/javascript">
      <!--
	function selChd(jumpsection) {
         var selIdx = jumpsection.selectedIndex;
		 var newSel = jumpsection.options[selIdx].value;
         location.href='index.php?ind=gallery&op=section_view&idev=' + newSel;
    }
	function selChoc(jumpsection) {
         var selIdx = jumpsection.selectedIndex;
		 var newSel = jumpsection.options[selIdx].value;
         location.href='index.php?ind=gallery&order=' + newSel;
    }
	function selChoe(jumpsection, idev) {
         var selIdx = jumpsection.selectedIndex;
		 var newSel = jumpsection.options[selIdx].value;
         location.href='index.php?ind=gallery&op=section_view&idev=' + idev + '&order=' + newSel;
    }
      //-->
</script>
  <br />
    <table width="98%" border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
	<td width="40%" class="modulelite mkalign2">
	$submit
	</td>
      </tr>
      <tr>
	<td width="60%" class="mkalign1">
	<img src="$mklib->images/locbar.gif" alt="" />{$navbar}
	</td>
      </tr>
    </table>
      <div align="right" style="margin: 4px 7px;">{$pages}</div>
    <table width="98%" border="0" cellspacing="1" cellpadding="0" align="center" class="moduleborder">
      <tr>
	<td>
	  <table width="100%" border="0" cellpadding="0" cellspacing="2" class="modulebg">
            <tr>
              <td width="100%" height="25" class="tdblock"><a name=foto></a> <h1><img class="mkicon" src="$mklib->images/arrow.gif" alt="" />{$maintit}</h1></td>
	    </tr>
            <tr>
              <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td>
                      <table width="100%" border="0" cellspacing="1" cellpadding="5" class="mkalign1">
		      {$content}
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
	    </tr>
	  </table>
	</td>
      </tr>
    </table>
    {$toolbar}
    <br />
    <table width="98%" border="0" cellspacing="1" cellpadding="0" align="center" class="moduleborder">
      <tr>
	<td>
	  <table width="100%" border="0" cellpadding="0" cellspacing="2" class="modulebg">
	    <tr>
	      <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td>
                      <table width="100%" border="0" cellspacing="1" cellpadding="5">
                        <tr>
                          <td class="modulex mkalign1" colspan="2">
                          {$mklib->lang['gat_stats']}
                          </td>
                        </tr>
                        <tr>
                          <td width="40" align="center" class="modulecell"><img src="$mklib->images/stats.gif" alt="" /></td>
                          <td class="modulecell mkalign1">{$stat}</td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
	    </td>
	  </tr>
	</table>
      </td>
    </tr>
  </table>
  <br />
  <table width="98%" border="0" cellspacing="0" cellpadding="0" align="center">
    <tr>
      <td class="modulebg">
      <div class="mkalign1" style="margin: 4px 0;">{$pages}</div>
      </td>
    </tr>
  </table>

  <table width="98%" class="moduleborder" border="0" cellspacing="1" cellpadding="1" align="center">
    <tr>
      <td class="modulebg">
	<table width="100%" border="0" cellspacing="0" cellpadding="4" class="mkalign2">
	  <tr>
	    <td class="modulex mkalign1" width="*">
            {$utonline}
	    </td>
	  </tr>
	</table>
      </td>
    </tr>
  </table>

  <table width="98%" align="center">
    <tr>
      <td align="center"><br /><br />
      <div align="center"><a href="http://www.mokro.us" target="_blank">xMKP Gallery</a> &copy; 2010 <a href="http://www.mokro.us" target="_blank">mokro.us</a></div>
      </td>
    </tr>
  </table>
  </td>
</tr>
EOF;
}

function row_main_category() {
global $mkportals, $mklib;
return <<<EOF

<!-- START explaincatparent START -->
                        <tr>
                          <th class="modulex">{$mklib->lang['gat_prev']}</th>
                          <th class="modulex mkalign1" width="*" colspan="2">{$mklib->lang['ga_category']}</th>
			  <th class="modulex" width="50" align="center">{$mklib->lang['gat_subcat']}</th>
                          <th class="modulex" width="50" align="center">{$mklib->lang['gat_images']}</th>
                          <th class="modulex" width="100" align="center">{$mklib->lang['gat_lentry']}</th>
                          <th class="modulex" width="50" align="center">{$mklib->lang['gat_user']}</th>
                        </tr>
EOF;
}
function row_main_category_content($name, $image, $description, $totfile, $lastentry, $checksub, $uname, $newimg) {
global $mkportals;
return <<<EOF
			<tr>
                          <td class="modulecell" align="center">{$newimg}<br>{$image}</td>
                          <td class="modulecell" width="*" colspan="2"><b>{$name}</b><br /><span class="modulelite">{$description}</span></td>
			  <td class="modulecell" align="center">{$checksub}</td>
			  <td class="modulecell" align="center">{$totfile}</td>
                          <td class="modulecell" width="100" align="center">{$lastentry}</td>
                          <td class="modulecell" align="center">{$uname}</td>
			</tr>
EOF;
}

function row_entry($id, $name, $description, $click, $width2, $width, $autore, $peso, $dimensioni, $cdata, $metadata) {
global $mkportals, $mklib;

if($mklib->member['g_send_comments'] || $mkportals->member['g_access_cp']) {
    $comment_pic = "<a href=\"#add\"><img src=\"$mklib->images/comment.gif\" border=\"0\" alt=\"\" /></a>"; 
    $comment_text = "<a href=\"#add\">{$mklib->lang['ga_insertcom']}</a>";  
}
else {
    $comment_pic = "";
    $comment_text = "";
}

return <<<EOF

			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_name']}</td>
                          <td class="modulecell mkalign1" width="80%"><b>{$name}</b></td>
			</tr>
			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['ga_des']}</td>
                          <td class="modulecell mkalign1" width="80%">{$description}</td>
			</tr>
			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_sendby']}</td>
                          <td class="modulecell mkalign1" width="80%">{$autore}</td>
			</tr>
			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_sdate']}</td>
                          <td class="modulecell mkalign1" width="80%">{$cdata}</td>
			</tr>
			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_wei']}</td>
                          <td class="modulecell mkalign1" width="80%">{$peso}</td>
			</tr>
			<tr>
                          <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_dim']}</td>
                          <td class="modulecell mkalign1" width="80%">{$dimensioni}</td>
			</tr>
			{$metadata}
			<tr>
                            <td class="modulecell mkalign1" width="20%" valign="top">{$mklib->lang['gat_clicks']}</td>
                            <td class="modulecell mkalign1" width="80%">{$click}</td>
			</tr>
			<tr>
			  <td class="modulecell" colspan="2"><script type="text/javascript">         
			$(document).ready(function() {     
			$("a[rel=code]").fancybox({
				'transitionIn'		: 'none',
				'transitionOut'		: 'none',
				'showNavArrows'		: false
				});
			});
			</script> 
                            <table width="50%" align="center">
                              <tr>
				<td align="center" class="functions" width="200"><a href="index.php?ind=gallery&amp;op=submit_postcard&amp;ide={$id}"><img src="$mklib->images/ecards.gif" border="0" alt="" /></a></td>
				<td align="center" class="functions" width="200">$comment_pic</td>
				<td align="center" class="functions" width="200"><a rel="code" href="/index.php?ind=gallery&op=code&idp={$id}"><img src="$mklib->images/icona_news.gif" border="0" alt="" /></a></td>
                              </tr>
                              <tr>
				<td align="center" class="functions" width="200"><a href="index.php?ind=gallery&amp;op=submit_postcard&amp;ide={$id}">{$mklib->lang['gat_pcard']}</a></td>
				<td align="center" class="functions" width="200">$comment_text</td>
				<td align="center" class="functions" width="200"><a rel="code" href="/index.php?ind=gallery&op=code&idp={$id}">{$mklib->lang['gat_getcode']}</a></td>
                              </tr>
                            </table>
                          </td>
			</tr>
EOF;
}


function row_toolbar($jump, $sort) {
global $mkportals, $mklib;
return <<<EOF
<table width="98%" border="0" cellspacing="4" cellpadding="0" align="center">
  <tr>
    <td>
      <table style="padding: 4px 8px 4px 14px; width: 100%" "border="0" cellpadding="3" cellspacing="1" class="moduleborder mkalign2">
	<tr>
     	  <td class="modulex mkalign2">
       	  {$jump}
	  &nbsp;
       	  {$sort}
    	  </td>
	</tr>
      </table>
    </td>
  </tr>
</table>
EOF;
}


}
?>
